/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binrausgang Venitltreiber          */
/*                      Binreingang 8 Kanle Namur         */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:26  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****  Variables Kanal1    ****************************************************/
/*******************************************************************************/


DIDO02_P1_Slot1   LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P1_Index1  LIKE VARIABLE   P0_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 1;
    }
}

DIDO02_P1_Tag     LIKE VARIABLE   P0_Tag
{
    REDEFINE HELP   [P1_Tag_help];
}

VARIABLE    DIDO02_P1_State
{
    LABEL       [P1_State];
    HELP        [P1_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [automatic]     },
        { 1,    [simulation]    }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_ErrMode
{
    LABEL       [P1_ErrMode];
    HELP        [P1_ErrMode_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [aktuellen_wert]    },
        { 1,    [ersatzwert]        },
        { 2,    [letzten_wert]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_SimVal_Data
{
    LABEL       [P1_SimVal];
    HELP        [P1_SimVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_SimVal_State
{
    LABEL       [P1_SimVal_State];
    HELP        [P1_SimVal_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   [daten_ok]			},
        {   0x01,   [daten_ungueltig]   }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_SimVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_ErrVal_Data
{
    LABEL       [P1_ErrVal];
    HELP        [P1_ErrVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_ErrVal_State
{
    LABEL       [P1_ErrVal_State];
    HELP        [P1_ErrVal_State1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_ErrVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_Option_Invert
{
    LABEL       [P1_Option_Invert];
    HELP        [P1_Option_Invert_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0x0000, [inv_normal]    },
        {   0x0001, [inv_invers]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_Option_Leitung
{
    LABEL       [P1_Option_Leitung];
    HELP        [P1_Option_Leitung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [no]        },
        { 1,    [yes]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DIDO02_P1_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO02_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE    DIDO02_P1_OnDelay
{
    LABEL       [P1_OnDelay];
    HELP        [P1_OnDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO02_P1_OffDelay
{
    LABEL       [P1_OffDelay];
    HELP        [P1_OffDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
/*
VARIABLE    DIDO02_P1_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DIDO02_P1_Lfd_1
{
	LABEL		[Ventil_ein_Bruch];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x03c0;
		{0x0000, [DIDO02_Px_Lfd_Off]},
		{0x03c0, [DIDO02_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO02_P1_Lfd_2
{
	LABEL		[Ventil_ein_Kurzschluss];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x0100;
		{0x0000, [DIDO02_Px_Lfd_Off]},
		{0x0100, [DIDO02_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO02_P1_Lfd_3
{
	LABEL		[Ventil_aus_Bruch];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x01ff;
		{0x0000, [DIDO02_Px_Lfd_Off]},
		{0x01ff, [DIDO02_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO02_P1_Lfd_4
{
	LABEL		[Ventil_aus_Kurzschluss];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x03d0;
		{0x0000, [DIDO02_Px_Lfd_Off]},
		{0x03d0, [DIDO02_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}
*/
VARIABLE    DIDO02_P1_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (8);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    DIDO02_P1_Map
{
    LABEL       [P1_Map];
    HELP        [P1_Map_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

/*******************************************************************************/
/*****  Variables Kanal2    ****************************************************/
/*******************************************************************************/

DIDO02_P2_Slot2           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P2_Index2          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 2;
    }
}

DIDO02_P2_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P2_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P2_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P2_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P2_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P2_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P2_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P2_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P2_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P2_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P2_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P2_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14
{
}

DIDO02_P2_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P2_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P2_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P2_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P2_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P2_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P2_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P2_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P2_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P2_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal3    ****************************************************/
/*******************************************************************************/

DIDO02_P3_Slot3           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P3_Index3          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 3;
    }
}

DIDO02_P3_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P3_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P3_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P3_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P3_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P3_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P3_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P3_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P3_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P3_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P3_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P3_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14
{
}

DIDO02_P3_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P3_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P3_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P3_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P3_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P3_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P3_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P3_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P3_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P3_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal4    ****************************************************/
/*******************************************************************************/

DIDO02_P4_Slot4           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P4_Index4          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 4;
    }
}

DIDO02_P4_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P4_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P4_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P4_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P4_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P4_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P4_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P4_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P4_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P4_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P4_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P4_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14  
{
}

DIDO02_P4_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P4_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P4_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P4_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P4_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P4_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P4_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P4_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P4_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P4_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal5    ****************************************************/
/*******************************************************************************/

DIDO02_P5_Slot5           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P5_Index5          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 5;
    }
}

DIDO02_P5_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P5_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P5_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P5_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P5_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P5_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P5_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P5_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P5_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P5_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P5_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P5_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14
{
}

DIDO02_P5_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P5_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P5_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P5_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P5_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P5_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P5_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P5_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P5_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P5_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal6    ****************************************************/
/*******************************************************************************/

DIDO02_P6_Slot6           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P6_Index6          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 6;
    }
}

DIDO02_P6_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P6_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P6_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P6_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P6_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P6_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P6_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P6_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P6_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P6_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P6_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P6_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14
{
}

DIDO02_P6_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P6_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P6_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P6_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P6_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P6_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P6_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P6_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P6_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P6_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal7    ****************************************************/
/*******************************************************************************/

DIDO02_P7_Slot7           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P7_Index7          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 7;
    }
}

DIDO02_P7_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P7_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P7_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P7_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P7_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P7_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P7_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P7_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P7_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P7_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P7_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P7_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14
{
}

DIDO02_P7_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P7_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P7_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P7_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P7_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P7_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P7_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P7_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P7_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P7_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  Variables Kanal8    ****************************************************/
/*******************************************************************************/

DIDO02_P8_Slot8           LIKE VARIABLE   P0_Slot0
{
}

DIDO02_P8_Index8          LIKE VARIABLE   DIDO02_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 8;
    }
}

DIDO02_P8_Tag             LIKE VARIABLE   DIDO02_P1_Tag
{
}

DIDO02_P8_State           LIKE VARIABLE   DIDO02_P1_State
{
}

DIDO02_P8_ErrMode         LIKE VARIABLE   DIDO02_P1_ErrMode
{
}

DIDO02_P8_SimVal_Data     LIKE VARIABLE   DIDO02_P1_SimVal_Data 
{
}

DIDO02_P8_SimVal_State    LIKE VARIABLE   DIDO02_P1_SimVal_State    
{
}

DIDO02_P8_SimVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_SimVal_Bit2_7   
{
}

DIDO02_P8_ErrVal_Data     LIKE VARIABLE   DIDO02_P1_ErrVal_Data 
{
}

DIDO02_P8_ErrVal_State    LIKE VARIABLE   DIDO02_P1_ErrVal_State    
{
}

DIDO02_P8_ErrVal_Bit2_7   LIKE VARIABLE   DIDO02_P1_ErrVal_Bit2_7   
{
}

DIDO02_P8_Option_Invert   LIKE VARIABLE   DIDO02_P1_Option_Invert
{
}

DIDO02_P8_Option_Leitung  LIKE VARIABLE   DIDO02_P1_Option_Leitung
{
}

DIDO02_P8_Option_Bit2_14  LIKE VARIABLE   DIDO02_P1_Option_Bit2_14  
{
}

DIDO02_P8_Option_Kanal	  LIKE VARIABLE	  DIDO02_P1_Option_Kanal
{
}

DIDO02_P8_OnDelay         LIKE VARIABLE   DIDO02_P1_OnDelay     
{
}

DIDO02_P8_OffDelay        LIKE VARIABLE   DIDO02_P1_OffDelay        
{
}
/*
DIDO02_P8_TestImp         LIKE VARIABLE   DIDO02_P1_TestImp       
{
}

DIDO02_P8_Lfd_1           LIKE VARIABLE   DIDO02_P1_Lfd_1 
{
}

DIDO02_P8_Lfd_2           LIKE VARIABLE   DIDO02_P1_Lfd_2 
{
}

DIDO02_P8_Lfd_3           LIKE VARIABLE   DIDO02_P1_Lfd_3 
{
}

DIDO02_P8_Lfd_4           LIKE VARIABLE   DIDO02_P1_Lfd_4
{
}
*/
DIDO02_P8_DUMMY           LIKE VARIABLE   DIDO02_P1_DUMMY       
{
}

DIDO02_P8_Map             LIKE VARIABLE   DIDO02_P1_Map         
{
}

/*******************************************************************************/
/*****  COMMAND             *****************************************************/
/*******************************************************************************/

#define DOWNLOAD_DIDO02                 \
            P0_Type,                    \
            P0_Slot0,                   \
            P0_Index0,                  \
            P0_Tag,                     \
            P0_Channel,                 \
            P0_Sector,                  \
            P0_Option,                  \
/*            P0_Time,                    \
*/            P0_Revision,                \
			P0_Size,					\
			P0_CfgMode,					\
            DIDO02_P1_Slot1,            \
            DIDO02_P1_Index1,           \
            DIDO02_P1_Tag,              \
            DIDO02_P1_State,            \
            DIDO02_P1_ErrMode,          \
            DIDO02_P1_SimVal_Data,      \
            DIDO02_P1_SimVal_State,     \
            DIDO02_P1_ErrVal_Data,      \
            DIDO02_P1_ErrVal_State,     \
            DIDO02_P1_Option_Leitung,   \
            DIDO02_P1_Option_Invert,    \
            DIDO02_P1_Option_Kanal,		\
			DIDO02_P1_OnDelay,          \
            DIDO02_P1_OffDelay,         \
/*          DIDO02_P1_TestImp,          \
			DIDO02_P1_Lfd_1,			\
			DIDO02_P1_Lfd_2,			\
			DIDO02_P1_Lfd_3,			\
			DIDO02_P1_Lfd_4,			\
			DIDO02_P1_Map,				\
*/            DIDO02_P2_Slot2,            \
            DIDO02_P2_Index2,           \
            DIDO02_P2_Tag,              \
            DIDO02_P2_State,            \
            DIDO02_P2_ErrMode,          \
            DIDO02_P2_SimVal_Data,      \
            DIDO02_P2_SimVal_State,     \
            DIDO02_P2_ErrVal_Data,      \
            DIDO02_P2_ErrVal_State,     \
            DIDO02_P2_Option_Leitung,   \
            DIDO02_P2_Option_Invert,    \
            DIDO02_P2_Option_Kanal,		\
			DIDO02_P2_OnDelay,          \
            DIDO02_P2_OffDelay,         \
/*          DIDO02_P2_TestImp,          \
			DIDO02_P2_Lfd_1,			\
			DIDO02_P2_Lfd_2,			\
			DIDO02_P2_Lfd_3,			\
			DIDO02_P2_Lfd_4,			\
			DIDO02_P2_Map,				\
*/            DIDO02_P3_Slot3,            \
            DIDO02_P3_Index3,           \
            DIDO02_P3_Tag,              \
            DIDO02_P3_State,            \
            DIDO02_P3_ErrMode,          \
            DIDO02_P3_SimVal_Data,      \
            DIDO02_P3_SimVal_State,     \
            DIDO02_P3_ErrVal_Data,      \
            DIDO02_P3_ErrVal_State,     \
            DIDO02_P3_Option_Leitung,   \
            DIDO02_P3_Option_Invert,    \
            DIDO02_P3_Option_Kanal,		\
			DIDO02_P3_OnDelay,          \
            DIDO02_P3_OffDelay,         \
/*          DIDO02_P3_TestImp,          \
			DIDO02_P3_Lfd_1,			\
			DIDO02_P3_Lfd_2,			\
			DIDO02_P3_Lfd_3,			\
			DIDO02_P3_Lfd_4,			\
			DIDO02_P3_Map,				\
*/            DIDO02_P4_Slot4,            \
            DIDO02_P4_Index4,           \
            DIDO02_P4_Tag,              \
            DIDO02_P4_State,            \
            DIDO02_P4_ErrMode,          \
            DIDO02_P4_SimVal_Data,      \
            DIDO02_P4_SimVal_State,     \
            DIDO02_P4_ErrVal_Data,      \
            DIDO02_P4_ErrVal_State,     \
            DIDO02_P4_Option_Leitung,   \
            DIDO02_P4_Option_Invert,    \
            DIDO02_P4_Option_Kanal,		\
			DIDO02_P4_OnDelay,          \
            DIDO02_P4_OffDelay,         \
/*          DIDO02_P4_TestImp,          \
			DIDO02_P4_Lfd_1,			\
			DIDO02_P4_Lfd_2,			\
			DIDO02_P4_Lfd_3,			\
			DIDO02_P4_Lfd_4,			\
			DIDO02_P4_Map,				\
*/            DIDO02_P5_Slot5,            \
            DIDO02_P5_Index5,           \
            DIDO02_P5_Tag,              \
            DIDO02_P5_State,            \
            DIDO02_P5_ErrMode,          \
            DIDO02_P5_SimVal_Data,      \
            DIDO02_P5_SimVal_State,     \
            DIDO02_P5_ErrVal_Data,      \
            DIDO02_P5_ErrVal_State,     \
            DIDO02_P5_Option_Leitung,   \
            DIDO02_P5_Option_Invert,    \
            DIDO02_P5_Option_Kanal,		\
			DIDO02_P5_OnDelay,          \
            DIDO02_P5_OffDelay,         \
/*          DIDO02_P5_TestImp,          \
			DIDO02_P5_Lfd_1,			\
			DIDO02_P5_Lfd_2,			\
			DIDO02_P5_Lfd_3,			\
			DIDO02_P5_Lfd_4,			\
			DIDO02_P5_Map,				\
*/            DIDO02_P6_Slot6,            \
            DIDO02_P6_Index6,           \
            DIDO02_P6_Tag,              \
            DIDO02_P6_State,            \
            DIDO02_P6_ErrMode,          \
            DIDO02_P6_SimVal_Data,      \
            DIDO02_P6_SimVal_State,     \
            DIDO02_P6_ErrVal_Data,      \
            DIDO02_P6_ErrVal_State,     \
            DIDO02_P6_Option_Leitung,   \
            DIDO02_P6_Option_Invert,    \
            DIDO02_P6_Option_Kanal,		\
			DIDO02_P6_OnDelay,          \
            DIDO02_P6_OffDelay,         \
/*          DIDO02_P6_TestImp,          \
			DIDO02_P6_Lfd_1,			\
			DIDO02_P6_Lfd_2,			\
			DIDO02_P6_Lfd_3,			\
			DIDO02_P6_Lfd_4,			\
			DIDO02_P6_Map,				\
*/            DIDO02_P7_Slot7,            \
            DIDO02_P7_Index7,           \
            DIDO02_P7_Tag,              \
            DIDO02_P7_State,            \
            DIDO02_P7_ErrMode,          \
            DIDO02_P7_SimVal_Data,      \
            DIDO02_P7_SimVal_State,     \
            DIDO02_P7_ErrVal_Data,      \
            DIDO02_P7_ErrVal_State,     \
            DIDO02_P7_Option_Leitung,   \
            DIDO02_P7_Option_Invert,    \
            DIDO02_P7_Option_Kanal,		\
			DIDO02_P7_OnDelay,          \
            DIDO02_P7_OffDelay,         \
/*          DIDO02_P7_TestImp,          \
			DIDO02_P7_Lfd_1,			\
			DIDO02_P7_Lfd_2,			\
			DIDO02_P7_Lfd_3,			\
			DIDO02_P7_Lfd_4,			\
			DIDO02_P7_Map,				\
*/            DIDO02_P8_Slot8,            \
            DIDO02_P8_Index8,           \
            DIDO02_P8_Tag,              \
            DIDO02_P8_State,            \
            DIDO02_P8_ErrMode,          \
            DIDO02_P8_SimVal_Data,      \
            DIDO02_P8_SimVal_State,     \
            DIDO02_P8_ErrVal_Data,      \
            DIDO02_P8_ErrVal_State,     \
            DIDO02_P8_Option_Leitung,   \
            DIDO02_P8_Option_Invert,    \
            DIDO02_P8_Option_Kanal,		\
			DIDO02_P8_OnDelay,          \
            DIDO02_P8_OffDelay,         \
/*          DIDO02_P8_TestImp,          \
			DIDO02_P8_Lfd_1,			\
			DIDO02_P8_Lfd_2,			\
			DIDO02_P8_Lfd_3,			\
			DIDO02_P8_Lfd_4,			\
			DIDO02_P8_Map
*/
#define UPLOAD_DIDO02         DOWNLOAD_DIDO02

#define DOWNLOAD_DIDO03                 \
            P0_Type,                    \
            P0_Slot0,                   \
            P0_Index0,                  \
            P0_Tag,                     \
            P0_Channel,                 \
            P0_Sector,                  \
            P0_Option,                  \
/*            P0_Time,                    \
*/            P0_Revision,                \
			P0_Size,					\
			P0_CfgMode,					\
            DIDO02_P1_Slot1,            \
            DIDO02_P1_Index1,           \
            DIDO02_P1_Tag,              \
            DIDO02_P1_State,            \
            DIDO02_P1_ErrMode,          \
            DIDO02_P1_SimVal_Data,      \
            DIDO02_P1_SimVal_State,     \
            DIDO02_P1_ErrVal_Data,      \
            DIDO02_P1_ErrVal_State,     \
            DIDO02_P1_Option_Leitung,   \
            DIDO02_P1_Option_Invert,    \
            DIDO02_P1_Option_Kanal,		\
			DIDO02_P1_OnDelay,          \
            DIDO02_P1_OffDelay,         \
/*          DIDO02_P1_TestImp,          \
			DIDO02_P1_Lfd_1,			\
			DIDO02_P1_Lfd_2,			\
			DIDO02_P1_Lfd_3,			\
			DIDO02_P1_Lfd_4,			\
			DIDO02_P1_Map,				\
*/            DIDO02_P2_Slot2,            \
            DIDO02_P2_Index2,           \
            DIDO02_P2_Tag,              \
            DIDO02_P2_State,            \
            DIDO02_P2_ErrMode,          \
            DIDO02_P2_SimVal_Data,      \
            DIDO02_P2_SimVal_State,     \
            DIDO02_P2_ErrVal_Data,      \
            DIDO02_P2_ErrVal_State,     \
            DIDO02_P2_Option_Leitung,   \
            DIDO02_P2_Option_Invert,    \
            DIDO02_P2_Option_Kanal,		\
			DIDO02_P2_OnDelay,          \
            DIDO02_P2_OffDelay,         \
/*          DIDO02_P2_TestImp,          \
			DIDO02_P2_Lfd_1,			\
			DIDO02_P2_Lfd_2,			\
			DIDO02_P2_Lfd_3,			\
			DIDO02_P2_Lfd_4,			\
			DIDO02_P2_Map,				\
*/            DIDO02_P3_Slot3,            \
            DIDO02_P3_Index3,           \
            DIDO02_P3_Tag,              \
            DIDO02_P3_State,            \
            DIDO02_P3_ErrMode,          \
            DIDO02_P3_SimVal_Data,      \
            DIDO02_P3_SimVal_State,     \
            DIDO02_P3_ErrVal_Data,      \
            DIDO02_P3_ErrVal_State,     \
            DIDO02_P3_Option_Leitung,   \
            DIDO02_P3_Option_Invert,    \
            DIDO02_P3_Option_Kanal,		\
			DIDO02_P3_OnDelay,          \
            DIDO02_P3_OffDelay,         \
/*          DIDO02_P3_TestImp,          \
			DIDO02_P3_Lfd_1,			\
			DIDO02_P3_Lfd_2,			\
			DIDO02_P3_Lfd_3,			\
			DIDO02_P3_Lfd_4,			\
			DIDO02_P3_Map,				\
*/            DIDO02_P4_Slot4,            \
            DIDO02_P4_Index4,           \
            DIDO02_P4_Tag,              \
            DIDO02_P4_State,            \
            DIDO02_P4_ErrMode,          \
            DIDO02_P4_SimVal_Data,      \
            DIDO02_P4_SimVal_State,     \
            DIDO02_P4_ErrVal_Data,      \
            DIDO02_P4_ErrVal_State,     \
            DIDO02_P4_Option_Leitung,   \
            DIDO02_P4_Option_Invert,    \
            DIDO02_P4_Option_Kanal,		\
			DIDO02_P4_OnDelay,          \
            DIDO02_P4_OffDelay,         \
/*          DIDO02_P4_TestImp,          \
			DIDO02_P4_Lfd_1,			\
			DIDO02_P4_Lfd_2,			\
			DIDO02_P4_Lfd_3,			\
			DIDO02_P4_Lfd_4,			\
			DIDO02_P4_Map
*/
#define UPLOAD_DIDO03         DOWNLOAD_DIDO03


COMMAND read_DIDO02_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P1_Slot1,
            DIDO02_P1_Index1,
            DIDO02_P1_Tag,
            DIDO02_P1_State,
            DIDO02_P1_ErrMode,
            DIDO02_P1_SimVal_Bit2_7			<0xFC>,
            DIDO02_P1_SimVal_State			<0x02>,
            DIDO02_P1_SimVal_Data			<0x01>,
            DIDO02_P1_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P1_ErrVal_State			<0x02>,
            DIDO02_P1_ErrVal_Data			<0x01>,
			DIDO02_P1_Option_Kanal			<0x8000>,
            DIDO02_P1_Option_Bit2_14		<0x7FFC>,
            DIDO02_P1_Option_Leitung		<0x0002>,
            DIDO02_P1_Option_Invert			<0x0001>,
            DIDO02_P1_OnDelay,
            DIDO02_P1_OffDelay,
			0, 0,												// DIDO02_P1_TestImp,
			0, 0,												// DIDO02_P1_Lfd_1,
			0, 0,												// DIDO02_P1_Lfd_2,
			0, 0,												// DIDO02_P1_Lfd_3,
			0, 0,												// DIDO02_P1_Lfd_4,
            DIDO02_P1_DUMMY,
            DIDO02_P1_Map
        }
    }
}

COMMAND write_DIDO02_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P1_Slot1,
            DIDO02_P1_Index1,
            DIDO02_P1_Tag,
            DIDO02_P1_State,
            DIDO02_P1_ErrMode,
            DIDO02_P1_SimVal_Bit2_7			<0xFC>,
            DIDO02_P1_SimVal_State			<0x02>,
            DIDO02_P1_SimVal_Data			<0x01>,
            DIDO02_P1_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P1_ErrVal_State			<0x02>,
            DIDO02_P1_ErrVal_Data			<0x01>,
			DIDO02_P1_Option_Kanal			<0x8000>,
            DIDO02_P1_Option_Bit2_14		<0x7FFC>,
            DIDO02_P1_Option_Leitung		<0x0002>,
            DIDO02_P1_Option_Invert			<0x0001>,
            DIDO02_P1_OnDelay,
            DIDO02_P1_OffDelay,
			0, 0,												// DIDO02_P1_TestImp,
			0x0003,	0x00c0,										// DIDO02_P1_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P1_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P1_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P1_Lfd_4,
			DIDO02_P1_DUMMY,
            DIDO02_P1_Map
        }
        REPLY
        {
        }
    }
}
COMMAND read_DIDO02_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P2_Slot2,
            DIDO02_P2_Index2,
            DIDO02_P2_Tag,
            DIDO02_P2_State,
            DIDO02_P2_ErrMode,
            DIDO02_P2_SimVal_Bit2_7			<0xFC>,
            DIDO02_P2_SimVal_State			<0x02>,
            DIDO02_P2_SimVal_Data			<0x01>,
            DIDO02_P2_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P2_ErrVal_State			<0x02>,
            DIDO02_P2_ErrVal_Data			<0x01>,
			DIDO02_P2_Option_Kanal			<0x8000>,
            DIDO02_P2_Option_Bit2_14		<0x7FFC>,
            DIDO02_P2_Option_Leitung		<0x0002>,
            DIDO02_P2_Option_Invert			<0x0001>,
            DIDO02_P2_OnDelay,
            DIDO02_P2_OffDelay,
			0, 0,												// DIDO02_P2_TestImp,
			0, 0,												// DIDO02_P2_Lfd_1,
			0, 0,												// DIDO02_P2_Lfd_2,
			0, 0,												// DIDO02_P2_Lfd_3,
			0, 0,												// DIDO02_P2_Lfd_4,
            DIDO02_P2_DUMMY,
            DIDO02_P2_Map
        }
    }
}

COMMAND write_DIDO02_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P2_Slot2,
            DIDO02_P2_Index2,
            DIDO02_P2_Tag,
            DIDO02_P2_State,
            DIDO02_P2_ErrMode,
            DIDO02_P2_SimVal_Bit2_7			<0xFC>,
            DIDO02_P2_SimVal_State			<0x02>,
            DIDO02_P2_SimVal_Data			<0x01>,
            DIDO02_P2_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P2_ErrVal_State			<0x02>,
            DIDO02_P2_ErrVal_Data			<0x01>,
			DIDO02_P2_Option_Kanal			<0x8000>,
            DIDO02_P2_Option_Bit2_14		<0x7FFC>,
            DIDO02_P2_Option_Leitung		<0x0002>,
            DIDO02_P2_Option_Invert			<0x0001>,
            DIDO02_P2_OnDelay,
            DIDO02_P2_OffDelay,
			0, 0,												// DIDO02_P2_TestImp,
			0x0003,	0x00c0,										// DIDO02_P2_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P2_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P2_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P2_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P2_DUMMY,
            DIDO02_P2_Map
        }
        REPLY
        {
        }
    }
}
COMMAND read_DIDO02_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P3_Slot3,
            DIDO02_P3_Index3,
            DIDO02_P3_Tag,
            DIDO02_P3_State,
            DIDO02_P3_ErrMode,
            DIDO02_P3_SimVal_Bit2_7			<0xFC>,
            DIDO02_P3_SimVal_State			<0x02>,
            DIDO02_P3_SimVal_Data			<0x01>,
            DIDO02_P3_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P3_ErrVal_State			<0x02>,
            DIDO02_P3_ErrVal_Data			<0x01>,
			DIDO02_P3_Option_Kanal			<0x8000>,
            DIDO02_P3_Option_Bit2_14		<0x7FFC>,
            DIDO02_P3_Option_Leitung		<0x0002>,
            DIDO02_P3_Option_Invert			<0x0001>,
            DIDO02_P3_OnDelay,
            DIDO02_P3_OffDelay,
			0, 0,												// DIDO02_P3_TestImp,
			0, 0,												// DIDO02_P3_Lfd_1,
			0, 0,												// DIDO02_P3_Lfd_2,
			0, 0,												// DIDO02_P3_Lfd_3,
			0, 0,												// DIDO02_P3_Lfd_4,
            DIDO02_P3_DUMMY,
            DIDO02_P3_Map
        }
    }
}

COMMAND write_DIDO02_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P3_Slot3,
            DIDO02_P3_Index3,
            DIDO02_P3_Tag,
            DIDO02_P3_State,
            DIDO02_P3_ErrMode,
            DIDO02_P3_SimVal_Bit2_7			<0xFC>,
            DIDO02_P3_SimVal_State			<0x02>,
            DIDO02_P3_SimVal_Data			<0x01>,
            DIDO02_P3_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P3_ErrVal_State			<0x02>,
            DIDO02_P3_ErrVal_Data			<0x01>,
			DIDO02_P3_Option_Kanal			<0x8000>,
            DIDO02_P3_Option_Bit2_14		<0x7FFC>,
            DIDO02_P3_Option_Leitung		<0x0002>,
            DIDO02_P3_Option_Invert			<0x0001>,
            DIDO02_P3_OnDelay,
            DIDO02_P3_OffDelay,
			0, 0,												// DIDO02_P3_TestImp,
			0x0003,	0x00c0,										// DIDO02_P3_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P3_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P3_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P3_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P3_DUMMY,
            DIDO02_P3_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO02_index4
{
    SLOT        Loc_P0_Slot0;
    INDEX       4;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P4_Slot4,
            DIDO02_P4_Index4,
            DIDO02_P4_Tag,
            DIDO02_P4_State,
            DIDO02_P4_ErrMode,
            DIDO02_P4_SimVal_Bit2_7			<0xFC>,
            DIDO02_P4_SimVal_State			<0x02>,
            DIDO02_P4_SimVal_Data			<0x01>,
            DIDO02_P4_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P4_ErrVal_State			<0x02>,
            DIDO02_P4_ErrVal_Data			<0x01>,
			DIDO02_P4_Option_Kanal			<0x8000>,
            DIDO02_P4_Option_Bit2_14		<0x7FFC>,
            DIDO02_P4_Option_Leitung		<0x0002>,
            DIDO02_P4_Option_Invert			<0x0001>,
            DIDO02_P4_OnDelay,
            DIDO02_P4_OffDelay,
			0, 0,												// DIDO02_P4_TestImp,
			0, 0,												// DIDO02_P4_Lfd_1,
			0, 0,												// DIDO02_P4_Lfd_2,
			0, 0,												// DIDO02_P4_Lfd_3,
			0, 0,												// DIDO02_P4_Lfd_4,
            DIDO02_P4_DUMMY,
            DIDO02_P4_Map
        }
    }
}

COMMAND write_DIDO02_index4
{
    SLOT        Loc_P0_Slot0;
    INDEX       4;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P4_Slot4,
            DIDO02_P4_Index4,
            DIDO02_P4_Tag,
            DIDO02_P4_State,
            DIDO02_P4_ErrMode,
            DIDO02_P4_SimVal_Bit2_7			<0xFC>,
            DIDO02_P4_SimVal_State			<0x02>,
            DIDO02_P4_SimVal_Data			<0x01>,
            DIDO02_P4_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P4_ErrVal_State			<0x02>,
            DIDO02_P4_ErrVal_Data			<0x01>,
			DIDO02_P4_Option_Kanal			<0x8000>,
            DIDO02_P4_Option_Bit2_14		<0x7FFC>,
            DIDO02_P4_Option_Leitung		<0x0002>,
            DIDO02_P4_Option_Invert			<0x0001>,
            DIDO02_P4_OnDelay,
            DIDO02_P4_OffDelay,
			0, 0,												// DIDO02_P4_TestImp,
			0x0003,	0x00c0,										// DIDO02_P4_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P4_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P4_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P4_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P4_DUMMY,
            DIDO02_P4_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO02_index5
{
    SLOT        Loc_P0_Slot0;
    INDEX       5;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P5_Slot5,
            DIDO02_P5_Index5,
            DIDO02_P5_Tag,
            DIDO02_P5_State,
            DIDO02_P5_ErrMode,
            DIDO02_P5_SimVal_Bit2_7			<0xFC>,
            DIDO02_P5_SimVal_State			<0x02>,
            DIDO02_P5_SimVal_Data			<0x01>,
            DIDO02_P5_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P5_ErrVal_State			<0x02>,
            DIDO02_P5_ErrVal_Data			<0x01>,
			DIDO02_P5_Option_Kanal			<0x8000>,
            DIDO02_P5_Option_Bit2_14		<0x7FFC>,
            DIDO02_P5_Option_Leitung		<0x0002>,
            DIDO02_P5_Option_Invert			<0x0001>,
            DIDO02_P5_OnDelay,
            DIDO02_P5_OffDelay,
			0, 0,												// DIDO02_P5_TestImp,
			0, 0,												// DIDO02_P5_Lfd_1,
			0, 0,												// DIDO02_P5_Lfd_2,
			0, 0,												// DIDO02_P5_Lfd_3,
			0, 0,												// DIDO02_P5_Lfd_4,
            DIDO02_P5_DUMMY,
            DIDO02_P5_Map
        }
    }
}

COMMAND write_DIDO02_index5
{
    SLOT        Loc_P0_Slot0;
    INDEX       5;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P5_Slot5,
            DIDO02_P5_Index5,
            DIDO02_P5_Tag,
            DIDO02_P5_State,
            DIDO02_P5_ErrMode,
            DIDO02_P5_SimVal_Bit2_7			<0xFC>,
            DIDO02_P5_SimVal_State			<0x02>,
            DIDO02_P5_SimVal_Data			<0x01>,
            DIDO02_P5_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P5_ErrVal_State			<0x02>,
            DIDO02_P5_ErrVal_Data			<0x01>,
			DIDO02_P5_Option_Kanal			<0x8000>,
            DIDO02_P5_Option_Bit2_14		<0x7FFC>,
            DIDO02_P5_Option_Leitung		<0x0002>,
            DIDO02_P5_Option_Invert			<0x0001>,
            DIDO02_P5_OnDelay,
            DIDO02_P5_OffDelay,
			0, 0,												// DIDO02_P5_TestImp,
			0x0003,	0x00c0,										// DIDO02_P5_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P5_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P5_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P5_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P5_DUMMY,
            DIDO02_P5_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO02_index6
{
    SLOT        Loc_P0_Slot0;
    INDEX       6;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P6_Slot6,
            DIDO02_P6_Index6,
            DIDO02_P6_Tag,
            DIDO02_P6_State,
            DIDO02_P6_ErrMode,
            DIDO02_P6_SimVal_Bit2_7			<0xFC>,
            DIDO02_P6_SimVal_State			<0x02>,
            DIDO02_P6_SimVal_Data			<0x01>,
            DIDO02_P6_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P6_ErrVal_State			<0x02>,
            DIDO02_P6_ErrVal_Data			<0x01>,
			DIDO02_P6_Option_Kanal			<0x8000>,
            DIDO02_P6_Option_Bit2_14		<0x7FFC>,
            DIDO02_P6_Option_Leitung		<0x0002>,
            DIDO02_P6_Option_Invert			<0x0001>,
            DIDO02_P6_OnDelay,
            DIDO02_P6_OffDelay,
			0, 0,												// DIDO02_P6_TestImp,
			0, 0,												// DIDO02_P6_Lfd_1,
			0, 0,												// DIDO02_P6_Lfd_2,
			0, 0,												// DIDO02_P6_Lfd_3,
			0, 0,												// DIDO02_P6_Lfd_4,
            DIDO02_P6_DUMMY,
            DIDO02_P6_Map
        }
    }
}

COMMAND write_DIDO02_index6
{
    SLOT        Loc_P0_Slot0;
    INDEX       6;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P6_Slot6,
            DIDO02_P6_Index6,
            DIDO02_P6_Tag,
            DIDO02_P6_State,
            DIDO02_P6_ErrMode,
            DIDO02_P6_SimVal_Bit2_7			<0xFC>,
            DIDO02_P6_SimVal_State			<0x02>,
            DIDO02_P6_SimVal_Data			<0x01>,
            DIDO02_P6_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P6_ErrVal_State			<0x02>,
            DIDO02_P6_ErrVal_Data			<0x01>,
			DIDO02_P6_Option_Kanal			<0x8000>,
            DIDO02_P6_Option_Bit2_14		<0x7FFC>,
            DIDO02_P6_Option_Leitung		<0x0002>,
            DIDO02_P6_Option_Invert			<0x0001>,
            DIDO02_P6_OnDelay,
            DIDO02_P6_OffDelay,
			0, 0,												// DIDO02_P6_TestImp,
			0x0003,	0x00c0,										// DIDO02_P6_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P6_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P6_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P6_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P6_DUMMY,
            DIDO02_P6_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO02_index7
{
    SLOT        Loc_P0_Slot0;
    INDEX       7;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P7_Slot7,
            DIDO02_P7_Index7,
            DIDO02_P7_Tag,
            DIDO02_P7_State,
            DIDO02_P7_ErrMode,
            DIDO02_P7_SimVal_Bit2_7			<0xFC>,
            DIDO02_P7_SimVal_State			<0x02>,
            DIDO02_P7_SimVal_Data			<0x01>,
            DIDO02_P7_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P7_ErrVal_State			<0x02>,
            DIDO02_P7_ErrVal_Data			<0x01>,
			DIDO02_P7_Option_Kanal			<0x8000>,
            DIDO02_P7_Option_Bit2_14		<0x7FFC>,
            DIDO02_P7_Option_Leitung		<0x0002>,
            DIDO02_P7_Option_Invert			<0x0001>,
            DIDO02_P7_OnDelay,
            DIDO02_P7_OffDelay,
			0, 0,												// DIDO02_P7_TestImp,
			0, 0,												// DIDO02_P7_Lfd_1,
			0, 0,												// DIDO02_P7_Lfd_2,
			0, 0,												// DIDO02_P7_Lfd_3,
			0, 0,												// DIDO02_P7_Lfd_4,
            DIDO02_P7_DUMMY,
            DIDO02_P7_Map
        }
    }
}

COMMAND write_DIDO02_index7
{
    SLOT        Loc_P0_Slot0;
    INDEX       7;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P7_Slot7,
            DIDO02_P7_Index7,
            DIDO02_P7_Tag,
            DIDO02_P7_State,
            DIDO02_P7_ErrMode,
            DIDO02_P7_SimVal_Bit2_7			<0xFC>,
            DIDO02_P7_SimVal_State			<0x02>,
            DIDO02_P7_SimVal_Data			<0x01>,
            DIDO02_P7_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P7_ErrVal_State			<0x02>,
            DIDO02_P7_ErrVal_Data			<0x01>,
			DIDO02_P7_Option_Kanal			<0x8000>,
            DIDO02_P7_Option_Bit2_14		<0x7FFC>,
            DIDO02_P7_Option_Leitung	    <0x0002>,
            DIDO02_P7_Option_Invert			<0x0001>,
            DIDO02_P7_OnDelay,
            DIDO02_P7_OffDelay,
			0, 0,												// DIDO02_P7_TestImp,
			0x0003,	0x00c0,										// DIDO02_P7_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P7_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P7_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P7_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P7_DUMMY,
            DIDO02_P7_Map
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO02_index8
{
    SLOT        Loc_P0_Slot0;
    INDEX       8;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO02_P8_Slot8,
            DIDO02_P8_Index8,
            DIDO02_P8_Tag,
            DIDO02_P8_State,
            DIDO02_P8_ErrMode,
            DIDO02_P8_SimVal_Bit2_7			<0xFC>,
            DIDO02_P8_SimVal_State			<0x02>,
            DIDO02_P8_SimVal_Data			<0x01>,
            DIDO02_P8_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P8_ErrVal_State			<0x02>,
            DIDO02_P8_ErrVal_Data			<0x01>,
			DIDO02_P8_Option_Kanal			<0x8000>,
            DIDO02_P8_Option_Bit2_14		<0x7FFC>,
            DIDO02_P8_Option_Leitung		<0x0002>,
            DIDO02_P8_Option_Invert			<0x0001>,
            DIDO02_P8_OnDelay,
            DIDO02_P8_OffDelay,
			0, 0,												// DIDO02_P8_TestImp,
			0, 0,												// DIDO02_P8_Lfd_1,
			0, 0,												// DIDO02_P8_Lfd_2,
			0, 0,												// DIDO02_P8_Lfd_3,
			0, 0,												// DIDO02_P8_Lfd_4,
            DIDO02_P8_DUMMY,
            DIDO02_P8_Map
        }
    }
}

COMMAND write_DIDO02_index8
{
    SLOT        Loc_P0_Slot0;
    INDEX       8;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO02_P8_Slot8,
            DIDO02_P8_Index8,
            DIDO02_P8_Tag,
            DIDO02_P8_State,
            DIDO02_P8_ErrMode,
            DIDO02_P8_SimVal_Bit2_7			<0xFC>,
            DIDO02_P8_SimVal_State			<0x02>,
            DIDO02_P8_SimVal_Data			<0x01>,
            DIDO02_P8_ErrVal_Bit2_7			<0xFC>,
            DIDO02_P8_ErrVal_State			<0x02>,
            DIDO02_P8_ErrVal_Data			<0x01>,
			DIDO02_P8_Option_Kanal			<0x8000>,
            DIDO02_P8_Option_Bit2_14		<0x7FFC>,
            DIDO02_P8_Option_Leitung		<0x0002>,
            DIDO02_P8_Option_Invert			<0x0001>,
            DIDO02_P8_OnDelay,
            DIDO02_P8_OffDelay,
			0, 0,												// DIDO02_P8_TestImp,
			0x0003,	0x00c0,										// DIDO02_P8_Lfd_1,
			0x0001, 0x0000,										// DIDO02_P8_Lfd_2,
			0x0001, 0x00ff,										// DIDO02_P8_Lfd_3,
			0x0003, 0x00d0,										// DIDO02_P8_Lfd_4,
            0, 0, 0, 0, 0, 0, 0, 0,							    // DIDO02_P8_DUMMY,
            DIDO02_P8_Map
        }
        REPLY
        {
        }
    }
}

/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****  Kanal 1		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal1
{
    LABEL       [ventil1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k1,
        Tab_s_DIDO02_output_k1
    }
}

MENU Tab_s_DIDO02_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_Tag,
		DIDO02_P1_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_State,
        DIDO02_P1_ErrMode,
        DIDO02_P1_Option_Leitung,
        DIDO02_P1_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k1,
        Tab_s_DIDO02_output_simulation_k1,
        Tab_s_DIDO02_output_ersatzwert_k1
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_OnDelay,
        DIDO02_P1_OffDelay//,
//      DIDO02_P1_TestImp,
//		DIDO02_P1_Lfd_1,		//fbi, 09.06.2004 Rcksprache mit Herrn Lindner, Variablen raus, werden im DTM gesetzt
//		DIDO02_P1_Lfd_2,
//		DIDO02_P1_Lfd_3,
//		DIDO02_P1_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_SimVal_Data,
        DIDO02_P1_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P1_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_ErrVal_Data,
        DIDO02_P1_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 2		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal2
{
    LABEL       [ventil2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k2,
        Tab_s_DIDO02_output_k2
    }
}

MENU Tab_s_DIDO02_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_Tag,
		DIDO02_P2_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k2
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_State,
        DIDO02_P2_ErrMode,
        DIDO02_P2_Option_Leitung,
        DIDO02_P2_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k2,
        Tab_s_DIDO02_output_simulation_k2,
        Tab_s_DIDO02_output_ersatzwert_k2
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_OnDelay,
        DIDO02_P2_OffDelay//,
//      DIDO02_P2_TestImp,
//		DIDO02_P2_Lfd_1,
//		DIDO02_P2_Lfd_2,
//		DIDO02_P2_Lfd_3,
//		DIDO02_P2_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_SimVal_Data,
        DIDO02_P2_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P2_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_ErrVal_Data,
        DIDO02_P2_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P2_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 3		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal3
{
    LABEL       [ventil3];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k3,
        Tab_s_DIDO02_output_k3
    }
}

MENU Tab_s_DIDO02_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_Tag,
		DIDO02_P3_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k3
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_State,
        DIDO02_P3_ErrMode,
        DIDO02_P3_Option_Leitung,
        DIDO02_P3_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k3,
        Tab_s_DIDO02_output_simulation_k3,
        Tab_s_DIDO02_output_ersatzwert_k3
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_OnDelay,
        DIDO02_P3_OffDelay//,
//      DIDO02_P3_TestImp,
//		DIDO02_P3_Lfd_1,
//		DIDO02_P3_Lfd_2,
//		DIDO02_P3_Lfd_3,
//		DIDO02_P3_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_SimVal_Data,
        DIDO02_P3_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P3_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_ErrVal_Data,
        DIDO02_P3_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 4		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal4
{
    LABEL       [ventil4];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k4,
        Tab_s_DIDO02_output_k4
    }
}

MENU Tab_s_DIDO02_ident_k4
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_Tag,
		DIDO02_P4_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k4
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_State,
        DIDO02_P4_ErrMode,
        DIDO02_P4_Option_Leitung,
        DIDO02_P4_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k4,
        Tab_s_DIDO02_output_simulation_k4,
        Tab_s_DIDO02_output_ersatzwert_k4
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k4
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_OnDelay,
        DIDO02_P4_OffDelay//,
//      DIDO02_P4_TestImp,
//		DIDO02_P4_Lfd_1,
//		DIDO02_P4_Lfd_2,
//		DIDO02_P4_Lfd_3,
//		DIDO02_P4_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k4
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_SimVal_Data,
        DIDO02_P4_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P4_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k4
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_ErrVal_Data,
        DIDO02_P4_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 5		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal5
{
    LABEL       [ventil5];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k5,
        Tab_s_DIDO02_output_k5
    }
}

MENU Tab_s_DIDO02_ident_k5
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_Tag,
		DIDO02_P5_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k5
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_State,
        DIDO02_P5_ErrMode,
        DIDO02_P5_Option_Leitung,
        DIDO02_P5_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k5,
        Tab_s_DIDO02_output_simulation_k5,
        Tab_s_DIDO02_output_ersatzwert_k5
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k5
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_OnDelay,
        DIDO02_P5_OffDelay//,
//      DIDO02_P5_TestImp,
//		DIDO02_P5_Lfd_1,
//		DIDO02_P5_Lfd_2,
//		DIDO02_P5_Lfd_3,
//		DIDO02_P5_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k5
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_SimVal_Data,
        DIDO02_P5_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P5_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k5
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_ErrVal_Data,
        DIDO02_P5_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 6		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal6
{
    LABEL       [ventil6];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k6,
        Tab_s_DIDO02_output_k6
    }
}

MENU Tab_s_DIDO02_ident_k6
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_Tag,
		DIDO02_P6_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k6
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_State,
        DIDO02_P6_ErrMode,
        DIDO02_P6_Option_Leitung,
        DIDO02_P6_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k6,
        Tab_s_DIDO02_output_simulation_k6,
        Tab_s_DIDO02_output_ersatzwert_k6
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k6
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_OnDelay,
        DIDO02_P6_OffDelay//,
//      DIDO02_P6_TestImp,
//		DIDO02_P6_Lfd_1,
//		DIDO02_P6_Lfd_2,
//		DIDO02_P6_Lfd_3,
//		DIDO02_P6_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k6
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_SimVal_Data,
        DIDO02_P6_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P6_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k6
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_ErrVal_Data,
        DIDO02_P6_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 7		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal7
{
    LABEL       [ventil7];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k7,
        Tab_s_DIDO02_output_k7
    }
}

MENU Tab_s_DIDO02_ident_k7
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_Tag,
		DIDO02_P7_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k7
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_State,
        DIDO02_P7_ErrMode,
        DIDO02_P7_Option_Leitung,
        DIDO02_P7_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k7,
        Tab_s_DIDO02_output_simulation_k7,
        Tab_s_DIDO02_output_ersatzwert_k7
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k7
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_OnDelay,
        DIDO02_P7_OffDelay//,
//      DIDO02_P7_TestImp,
//		DIDO02_P7_Lfd_1,
//		DIDO02_P7_Lfd_2,
//		DIDO02_P7_Lfd_3,
//		DIDO02_P7_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k7
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_SimVal_Data,
        DIDO02_P7_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P7_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k7
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_ErrVal_Data,
        DIDO02_P7_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P7_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 8		************************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO02_kanal8
{
    LABEL       [ventil8];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO02_ident_k8,
        Tab_s_DIDO02_output_k8
    }
}

MENU Tab_s_DIDO02_ident_k8
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_Tag,
		DIDO02_P8_Option_Kanal

    }
}

MENU Tab_s_DIDO02_output_k8
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_State,
        DIDO02_P8_ErrMode,
        DIDO02_P8_Option_Leitung,
        DIDO02_P8_Option_Invert,
        Tab_s_DIDO02_output_verzoegerung_k8,
        Tab_s_DIDO02_output_simulation_k8,
        Tab_s_DIDO02_output_ersatzwert_k8
    }
}

MENU Tab_s_DIDO02_output_verzoegerung_k8
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_OnDelay,
        DIDO02_P8_OffDelay//,
//      DIDO02_P8_TestImp,
//		DIDO02_P8_Lfd_1,
//		DIDO02_P8_Lfd_2,
//		DIDO02_P8_Lfd_3,
//		DIDO02_P8_Lfd_4
    }
}

MENU Tab_s_DIDO02_output_simulation_k8
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_SimVal_Data,
        DIDO02_P8_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P8_State == 1)
}

MENU Tab_s_DIDO02_output_ersatzwert_k8
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_ErrVal_Data,
        DIDO02_P8_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P8_ErrMode == 1)
}

/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****  Kanal 1		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal1
{
    LABEL       [ventil1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k1,
        Tab_m_DIDO02_output_k1
    }
}

MENU Tab_m_DIDO02_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_Tag,
		DIDO02_P1_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_State                       (READ_ONLY),
        DIDO02_P1_ErrMode                     (READ_ONLY),
        DIDO02_P1_Option_Leitung              (READ_ONLY),
        DIDO02_P1_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k1,
        Tab_m_DIDO02_output_simulation_k1,
        Tab_m_DIDO02_output_ersatzwert_k1
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_OnDelay                     (READ_ONLY),
        DIDO02_P1_OffDelay                    (READ_ONLY)//,
//      DIDO02_P1_TestImp                     (READ_ONLY),
//		DIDO02_P1_Lfd_1		                  (READ_ONLY),
//		DIDO02_P1_Lfd_2		                  (READ_ONLY),
//		DIDO02_P1_Lfd_3		                  (READ_ONLY),
//		DIDO02_P1_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_SimVal_Data                 (READ_ONLY),
        DIDO02_P1_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P1_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P1_ErrVal_Data                 (READ_ONLY),
        DIDO02_P1_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****  Kanal 2		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal2
{
    LABEL       [ventil2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k2,
        Tab_m_DIDO02_output_k2
    }
}

MENU Tab_m_DIDO02_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_Tag,
		DIDO02_P2_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k2
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_State                       (READ_ONLY),
        DIDO02_P2_ErrMode                     (READ_ONLY),
        DIDO02_P2_Option_Leitung              (READ_ONLY),
        DIDO02_P2_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k2,
        Tab_m_DIDO02_output_simulation_k2,
        Tab_m_DIDO02_output_ersatzwert_k2
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_OnDelay                     (READ_ONLY),
        DIDO02_P2_OffDelay                    (READ_ONLY)//,
//      DIDO02_P2_TestImp                     (READ_ONLY),
//		DIDO02_P2_Lfd_1		                  (READ_ONLY),
//		DIDO02_P2_Lfd_2		                  (READ_ONLY),
//		DIDO02_P2_Lfd_3		                  (READ_ONLY),
//		DIDO02_P2_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_SimVal_Data                 (READ_ONLY),
        DIDO02_P2_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P2_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P2_ErrVal_Data                 (READ_ONLY),
        DIDO02_P2_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P2_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 3		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal3
{
    LABEL       [ventil3];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k3,
        Tab_m_DIDO02_output_k3
    }
}

MENU Tab_m_DIDO02_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_Tag,
		DIDO02_P3_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k3
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_State                       (READ_ONLY),
        DIDO02_P3_ErrMode                     (READ_ONLY),
        DIDO02_P3_Option_Leitung              (READ_ONLY),
        DIDO02_P3_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k3,
        Tab_m_DIDO02_output_simulation_k3,
        Tab_m_DIDO02_output_ersatzwert_k3
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_OnDelay                     (READ_ONLY),
        DIDO02_P3_OffDelay                    (READ_ONLY)//,
//      DIDO02_P3_TestImp                     (READ_ONLY),
//		DIDO02_P3_Lfd_1		                  (READ_ONLY),
//		DIDO02_P3_Lfd_2		                  (READ_ONLY),
//		DIDO02_P3_Lfd_3		                  (READ_ONLY),
//		DIDO02_P3_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_SimVal_Data                 (READ_ONLY),
        DIDO02_P3_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P3_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P3_ErrVal_Data                 (READ_ONLY),
        DIDO02_P3_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P3_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 4		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal4
{
    LABEL       [ventil4];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k4,
        Tab_m_DIDO02_output_k4
    }
}

MENU Tab_m_DIDO02_ident_k4
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_Tag,
		DIDO02_P4_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k4
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_State                       (READ_ONLY),
        DIDO02_P4_ErrMode                     (READ_ONLY),
        DIDO02_P4_Option_Leitung              (READ_ONLY),
        DIDO02_P4_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k4,
        Tab_m_DIDO02_output_simulation_k4,
        Tab_m_DIDO02_output_ersatzwert_k4
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k4
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_OnDelay                     (READ_ONLY),
        DIDO02_P4_OffDelay                    (READ_ONLY)//,
//      DIDO02_P4_TestImp                     (READ_ONLY),
//		DIDO02_P4_Lfd_1		                  (READ_ONLY),
//		DIDO02_P4_Lfd_2		                  (READ_ONLY),
//		DIDO02_P4_Lfd_3		                  (READ_ONLY),
//		DIDO02_P4_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k4
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_SimVal_Data                 (READ_ONLY),
        DIDO02_P4_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P4_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k4
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P4_ErrVal_Data                 (READ_ONLY),
        DIDO02_P4_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P4_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 5		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal5
{
    LABEL       [ventil5];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k5,
        Tab_m_DIDO02_output_k5
    }
}

MENU Tab_m_DIDO02_ident_k5
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_Tag,
		DIDO02_P5_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k5
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_State                       (READ_ONLY),
        DIDO02_P5_ErrMode                     (READ_ONLY),
        DIDO02_P5_Option_Leitung              (READ_ONLY),
        DIDO02_P5_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k5,
        Tab_m_DIDO02_output_simulation_k5,
        Tab_m_DIDO02_output_ersatzwert_k5
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k5
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_OnDelay                     (READ_ONLY),
        DIDO02_P5_OffDelay                    (READ_ONLY)//,
//      DIDO02_P5_TestImp                     (READ_ONLY),
//		DIDO02_P5_Lfd_1		                  (READ_ONLY),
//		DIDO02_P5_Lfd_2		                  (READ_ONLY),
//		DIDO02_P5_Lfd_3		                  (READ_ONLY),
//		DIDO02_P5_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k5
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_SimVal_Data                 (READ_ONLY),
        DIDO02_P5_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P5_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k5
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P5_ErrVal_Data                 (READ_ONLY),
        DIDO02_P5_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P5_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 6		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal6
{
    LABEL       [ventil6];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k6,
        Tab_m_DIDO02_output_k6
    }
}

MENU Tab_m_DIDO02_ident_k6
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_Tag,
		DIDO02_P6_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k6
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_State                       (READ_ONLY),
        DIDO02_P6_ErrMode                     (READ_ONLY),
        DIDO02_P6_Option_Leitung              (READ_ONLY),
        DIDO02_P6_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k6,
        Tab_m_DIDO02_output_simulation_k6,
        Tab_m_DIDO02_output_ersatzwert_k6
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k6
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_OnDelay                     (READ_ONLY),
        DIDO02_P6_OffDelay                    (READ_ONLY)//,
//      DIDO02_P6_TestImp                     (READ_ONLY),
//		DIDO02_P6_Lfd_1		                  (READ_ONLY),
//		DIDO02_P6_Lfd_2		                  (READ_ONLY),
//		DIDO02_P6_Lfd_3		                  (READ_ONLY),
//		DIDO02_P6_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k6
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_SimVal_Data                 (READ_ONLY),
        DIDO02_P6_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P6_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k6
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P6_ErrVal_Data                 (READ_ONLY),
        DIDO02_P6_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P6_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 7		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal7
{
    LABEL       [ventil7];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k7,
        Tab_m_DIDO02_output_k7
    }
}

MENU Tab_m_DIDO02_ident_k7
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_Tag,
		DIDO02_P7_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k7
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_State                       (READ_ONLY),
        DIDO02_P7_ErrMode                     (READ_ONLY),
        DIDO02_P7_Option_Leitung              (READ_ONLY),
        DIDO02_P7_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k7,
        Tab_m_DIDO02_output_simulation_k7,
        Tab_m_DIDO02_output_ersatzwert_k7
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k7
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_OnDelay                     (READ_ONLY),
        DIDO02_P7_OffDelay                    (READ_ONLY)//,
//      DIDO02_P7_TestImp                     (READ_ONLY),
//		DIDO02_P7_Lfd_1		                  (READ_ONLY),
//		DIDO02_P7_Lfd_2		                  (READ_ONLY),
//		DIDO02_P7_Lfd_3		                  (READ_ONLY),
//		DIDO02_P7_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k7
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_SimVal_Data                 (READ_ONLY),
        DIDO02_P7_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P7_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k7
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P7_ErrVal_Data                 (READ_ONLY),
        DIDO02_P7_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P7_ErrMode == 1)
}


/*******************************************************************************/
/*****  Kanal 8		************************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO02_kanal8
{
    LABEL       [ventil8];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO02_ident_k8,
        Tab_m_DIDO02_output_k8
    }
}

MENU Tab_m_DIDO02_ident_k8
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_Tag,
		DIDO02_P8_Option_Kanal
    }
}

MENU Tab_m_DIDO02_output_k8
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_State                       (READ_ONLY),
        DIDO02_P8_ErrMode                     (READ_ONLY),
        DIDO02_P8_Option_Leitung              (READ_ONLY),
        DIDO02_P8_Option_Invert               (READ_ONLY),
        Tab_m_DIDO02_output_verzoegerung_k8,
        Tab_m_DIDO02_output_simulation_k8,
        Tab_m_DIDO02_output_ersatzwert_k8
    }
}

MENU Tab_m_DIDO02_output_verzoegerung_k8
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_OnDelay                     (READ_ONLY),
        DIDO02_P8_OffDelay                    (READ_ONLY)//,
//      DIDO02_P8_TestImp                     (READ_ONLY),
//		DIDO02_P8_Lfd_1		                  (READ_ONLY),
//		DIDO02_P8_Lfd_2		                  (READ_ONLY),
//		DIDO02_P8_Lfd_3		                  (READ_ONLY),
//		DIDO02_P8_Lfd_4		                  (READ_ONLY)
    }
}

MENU Tab_m_DIDO02_output_simulation_k8
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_SimVal_Data                 (READ_ONLY),
        DIDO02_P8_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P8_State == 1)
}

MENU Tab_m_DIDO02_output_ersatzwert_k8
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO02_P8_ErrVal_Data                 (READ_ONLY),
        DIDO02_P8_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO02_P8_ErrMode == 1)
}

