/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Transmitterspeisegert bzw.			*/
/*						Eingangstrenner			            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.21  $                                    */
/*  $Date:   16 Mar 2000 13:41:30  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Variables Kanal1 Index1 ************************************************/
/*******************************************************************************/

INSP_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

INSP_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 1;
			}
}

INSP_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	INSP_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** SIMULATION *****************/

VARIABLE	INSP_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float	(INSP_P1_SimVal, Loc_INSP_P1_SimVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float (INSP_P1_SimVal, Loc_INSP_P1_SimVal)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP_P1_SimState_LiveZero
{
	LABEL		[P1_SimState_LiveZero];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP_P1_SimOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_SimState_Data
{
	LABEL		[P1_SimState_Data];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP_P1_SimOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_SimState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_SimState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_SimState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_SimOption
{
	LABEL		[P1_SimOption];
	HELP		[P1_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Ersatzwerte *****************/

VARIABLE	INSP_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale100_int_float	(INSP_P1_ErrVal, Loc_INSP_P1_ErrVal)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float (INSP_P1_ErrVal, Loc_INSP_P1_ErrVal)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP_P1_ErrState_LiveZero
{
	LABEL		[P1_ErrState_LiveZero];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"> 3.6 mA"		},
		{	0x01,	"< 3.6 mA"		}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP_P1_ErrOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrState_Data
{
	LABEL		[P1_ErrState_Data];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	VALIDITY	VALID_IF_NOT_0(INSP_P1_ErrOption);
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ErrOption
{
	LABEL		[P1_ErrOption];
	HELP		[P1_ErrOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	INSP_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/
INSP_P1_Slot2	LIKE VARIABLE	P0_Slot0
{
}

INSP_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	INSP_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[std]							},
		{ 1,	[std_Pvar]						},
		{ 2,	[std_Pvar_Svar]					},
		{ 3,	[std_Pvar_Svar_Tvar]			},
		{ 4,	[std_Pvar_Svar_Tvar_Fvar]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Skalierung *****************/

VARIABLE	Loc_INSP_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	0;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	Loc_INSP_P1_Me
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb_help];
	TYPE		FLOAT
	{
		DEFAULT_VALUE	100;
	}
	CLASS		LOCAL;
	HANDLING	READ;
}

VARIABLE	INSP_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP_P1_ScalMb, INSP_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP_P1_ScalMb, INSP_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP_P1_LimLow, INSP_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS			CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(INSP_P1_LimLow, INSP_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}	
	CONSTANT_UNIT	[Percent_Second];
	CLASS			CONTAINED;
	HANDLING		READ & WRITE;
}

/********** HART *****************/

VARIABLE	INSP_P1_HartOption
{
	LABEL		[P1_HartOption];
	HELP		[P1_HartOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x0,	[HART_inaktiv]	},
		{	0x1,	[HART_aktiv]	},
		{	0x3,	[HART_aktiv_intern_aus]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_HartPraeambel
{
	LABEL		[P1_HartPraeambel];
	HELP		[P1_HartPraeambel_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 15;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	INSP_P1_HartRetry
{
	LABEL		[P1_HartRetry];
	HELP		[P1_HartRetry_help];
	TYPE		UNSIGNED_INTEGER
	{
		MIN_VALUE 0;
		MAX_VALUE 255;
		DEFAULT_VALUE 3;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** LFD GRENZEN *****************/

VARIABLE	INSP_P1_LfdLow
{
	LABEL		[P1_LfdLow];
	HELP		[P1_LfdLow_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE -250;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP_P1_LfdLow
{
	LABEL		[P1_LfdLow];
	HELP		[P1_LfdLow_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 3.60;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP_P1_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP_P1_LfdLow, Loc_INSP_P1_LfdLow)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP_P1_LfdLow, Loc_INSP_P1_LfdLow)
		method_check_MbMe_float		(Loc_INSP_P1_LfdLow, Loc_INSP_P1_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP_P1_LfdHigh
{
	LABEL		[P1_LfdHigh];
	HELP		[P1_LfdHigh_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 10625;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_INSP_P1_LfdHigh
{
	LABEL		[P1_LfdHigh];
	HELP		[P1_LfdHigh_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.00;
		MAX_VALUE 24.00;
		DEFAULT_VALUE 21.0;
		DISPLAY_FORMAT ".2f";
	}
	CONSTANT_UNIT	[mA];
	CLASS			LOCAL;
	VALIDITY		VALID_IF_TRUE (INSP_P1_Option_Leitung == 1)
	PRE_EDIT_ACTIONS
	{
		method_scale_int_mA		(INSP_P1_LfdHigh, Loc_INSP_P1_LfdHigh)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale_int_mA	(INSP_P1_LfdHigh, Loc_INSP_P1_LfdHigh)
		method_check_MbMe_float		(Loc_INSP_P1_LfdLow, Loc_INSP_P1_LfdHigh)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	INSP_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (38);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define	DOWNLOAD_INSP					\
			P0_Type,					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
/*			P0_Time,					\
*/			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			INSP_P1_Slot1,				\
			INSP_P1_Index1,				\
			INSP_P1_Tag,				\
			INSP_P1_State,				\
			INSP_P1_ErrMode,			\
			INSP_P1_SimVal,				\
			INSP_P1_SimState_LiveZero,	\
			INSP_P1_SimState_Data,		\
			INSP_P1_SimOption,			\
			INSP_P1_ErrVal,				\
			INSP_P1_ErrState_LiveZero,	\
			INSP_P1_ErrState_Data,		\
			INSP_P1_ErrOption,			\
			INSP_P1_Slot2,				\
			INSP_P1_Index2,				\
			INSP_P1_Mode,				\
			INSP_P1_Option_Leitung,		\
			INSP_P1_ScalMb,				\
			INSP_P1_ScalMe,				\
			INSP_P1_ScalOption,			\
			INSP_P1_LimLow,				\
			INSP_P1_LimHigh,			\
			INSP_P1_Filter,				\
			INSP_P1_HartOption,			\
			INSP_P1_HartPraeambel, 		\
			INSP_P1_HartRetry,			\
			INSP_P1_LfdLow,				\
			INSP_P1_LfdHigh


#define	UPLOAD_INSP			DOWNLOAD_INSP


COMMAND read_INSP_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP_P1_Slot1,
			INSP_P1_Index1,
			INSP_P1_Tag,
			INSP_P1_State,
			INSP_P1_ErrMode,
			INSP_P1_SimVal,
			INSP_P1_SimState_Bit4_7		<0xF0>,
			INSP_P1_SimState_Bit3		<0x08>,
			INSP_P1_SimState_Bit2		<0x04>,
			INSP_P1_SimState_Data		<0x02>,
			INSP_P1_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP_P1_SimOption			<0x01>,
			INSP_P1_ErrVal,
			INSP_P1_ErrState_Bit4_7		<0xF0>,
			INSP_P1_ErrState_Bit3		<0x08>,
			INSP_P1_ErrState_Bit2		<0x04>,
			INSP_P1_ErrState_Data		<0x02>,
			INSP_P1_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP_P1_ErrOption			<0x01>,
			INSP_P1_DUMMY,
			INSP_P1_Map
		}
	}
}

COMMAND write_INSP_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP_P1_Slot1,
			INSP_P1_Index1,
			INSP_P1_Tag,
			INSP_P1_State,
			INSP_P1_ErrMode,
			INSP_P1_SimVal,
			INSP_P1_SimState_Bit4_7		<0xF0>,
			INSP_P1_SimState_Bit3		<0x08>,
			INSP_P1_SimState_Bit2		<0x04>,
			INSP_P1_SimState_Data		<0x02>,
			INSP_P1_SimState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP_P1_SimOption			<0x01>,
			INSP_P1_ErrVal,
			INSP_P1_ErrState_Bit4_7		<0xF0>,
			INSP_P1_ErrState_Bit3		<0x08>,
			INSP_P1_ErrState_Bit2		<0x04>,
			INSP_P1_ErrState_Data		<0x02>,
			INSP_P1_ErrState_LiveZero	<0x01>,
			Bit1_7						<0xFE>,
			INSP_P1_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// INSP_P1_DUMMY,
			0, 0														// INSP_P1_Map
//			INSP_P1_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_INSP_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			INSP_P1_Slot2,
			INSP_P1_Index2,
			INSP_P1_Mode,
			Bit1_15						<0xFFFE>,
			INSP_P1_Option_Leitung		<0x0001>,
			INSP_P1_ScalMb,
			INSP_P1_ScalMe,
			Bit1_15						<0xFFFE>,
			INSP_P1_ScalOption			<0x0001>,
			INSP_P1_LimLow,
			INSP_P1_LimHigh,
			INSP_P1_Filter,
			Bit3_15						<0xFFF8>,
			INSP_P1_HartOption			<0x0007>,
			INSP_P1_HartPraeambel,
			INSP_P1_HartRetry,
			INSP_P1_LfdLow,
			INSP_P1_LfdHigh,
			INSP_P1_DUMMY2
		}
	}
}

COMMAND write_INSP_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			INSP_P1_Slot2,
			INSP_P1_Index2,
			INSP_P1_Mode,
			Bit1_15						<0xFFFE>,
			INSP_P1_Option_Leitung		<0x0001>,
			INSP_P1_ScalMb,
			INSP_P1_ScalMe,
			Bit1_15						<0xFFFE>,
			INSP_P1_ScalOption			<0x0001>,
			INSP_P1_LimLow,
			INSP_P1_LimHigh,
			INSP_P1_Filter,
			Bit3_15						<0xFFF8>,
			INSP_P1_HartOption			<0x0007>,
			INSP_P1_HartPraeambel,
			INSP_P1_HartRetry,
			INSP_P1_LfdLow,
			INSP_P1_LfdHigh,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0, 		// INSP_P1_DUMMY2  
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// INSP_P1_DUMMY2
			0, 0, 0, 0, 0, 0										// INSP_P1_DUMMY2
		}
		REPLY
		{
		}
	}
}
/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_INSP_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_INSP_ident_k1,
		Tab_s_INSP_input_k1
	}
}

MENU Tab_s_INSP_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_Tag,
		INSP_P1_Mode
	}
}

MENU Tab_s_INSP_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_State,
		INSP_P1_ErrMode,
//		INSP_P1_Filter						(READ_ONLY),
//		INSP_P1_LimLow						(READ_ONLY),
//		INSP_P1_LimHigh						(READ_ONLY),
		INSP_P1_Filter,
		INSP_P1_LimLow,
		INSP_P1_LimHigh,
		Tab_s_INSP_input_simulation,	
		Tab_s_INSP_input_ersatzwert,
		Tab_s_INSP_input_hart,
		Tab_s_INSP_input_skal,
		Tab_s_INSP_input_lfd
	}
}

MENU Tab_s_INSP_input_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP_P1_SimVal,
		INSP_P1_SimOption,
		INSP_P1_SimState_LiveZero,
		INSP_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (INSP_P1_State == 1)
}

MENU Tab_s_INSP_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP_P1_ErrVal, //					(READ_ONLY), //fbi 26.06.2006
		INSP_P1_ErrOption,
		INSP_P1_ErrState_LiveZero			(READ_ONLY),
		INSP_P1_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP_P1_ErrMode == 1)
}


MENU Tab_s_INSP_input_hart
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_HartOption,
		Tab_s_INSP_input_hart_kommunikation
	}
}

MENU Tab_s_INSP_input_hart_kommunikation
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_HartPraeambel,
		INSP_P1_HartRetry
	}										
	VALIDITY	VALID_IF_TRUE ((INSP_P1_HartOption == 1 || INSP_P1_HartOption == 3))
}

MENU Tab_s_INSP_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_ScalOption,
		INSP_P1_ScalMb,
		INSP_P1_ScalMe,
	}
}

MENU Tab_s_INSP_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_Option_Leitung,
		Loc_INSP_P1_LfdLow,
		Loc_INSP_P1_LfdHigh
	}
}

/*******************************************************************************/
/*****	Table: Maintenance   ***************************************************/
/*******************************************************************************/

MENU Tab_m_INSP_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_INSP_ident_k1,
		Tab_m_INSP_input_k1
	}
}

MENU Tab_m_INSP_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_Tag,
		INSP_P1_Mode
	}
}

MENU Tab_m_INSP_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_State						(READ_ONLY),
		INSP_P1_ErrMode						(READ_ONLY),
		INSP_P1_Filter						(READ_ONLY),
		INSP_P1_LimLow						(READ_ONLY),
		INSP_P1_LimHigh						(READ_ONLY),
		Tab_m_INSP_input_simulation,
		Tab_m_INSP_input_ersatzwert,
		Tab_m_INSP_input_hart,
		Tab_m_INSP_input_skal,
		Tab_m_INSP_input_lfd
	}
}

MENU Tab_m_INSP_input_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP_P1_SimVal					(READ_ONLY),
		INSP_P1_SimOption					(READ_ONLY),
		INSP_P1_SimState_LiveZero			(READ_ONLY),
		INSP_P1_SimState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP_P1_State == 1)
}


MENU Tab_m_INSP_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_INSP_P1_ErrVal					(READ_ONLY),
		INSP_P1_ErrOption					(READ_ONLY),
		INSP_P1_ErrState_LiveZero			(READ_ONLY),
		INSP_P1_ErrState_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (INSP_P1_ErrMode == 1)
}

MENU Tab_m_INSP_input_hart
{
	LABEL		[hart];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_HartOption,
		Tab_m_INSP_input_hart_kommunikation
	}
}

MENU Tab_m_INSP_input_hart_kommunikation
{
	LABEL		[hart_kommunikation];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_HartPraeambel				(READ_ONLY),
		INSP_P1_HartRetry					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE ((INSP_P1_HartOption == 1 || INSP_P1_HartOption == 3))
}

MENU Tab_m_INSP_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_ScalOption					(READ_ONLY),
		INSP_P1_ScalMb						(READ_ONLY),
		INSP_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_INSP_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		INSP_P1_Option_Leitung				(READ_ONLY),
		Loc_INSP_P1_LfdLow					(READ_ONLY),
		Loc_INSP_P1_LfdHigh					(READ_ONLY)
	}									
}
