/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Menu Bar for Modules                */
/*                                                          */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.16  $                                    */
/*  $Date:   Mar 03 2000 16:33:44  $                        */
/*----------------------------------------------------------*/


MENU Menu_Main_Specialist
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}

MENU Menu_Main_Maintenance
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}


/*---------------------------------------------------------------------*/
/*    Menu: Device                                                     */
/*---------------------------------------------------------------------*/

MENU Menu_Device
{
    LABEL       [menu_Device];
    ITEMS
    {
        std_LoadinDevice,                                       
        std_LoadinPC,
        SEPARATOR,
        Menu_HCIR,
        IF( (P0_Type == MODUL_3002) || 	(P0_Type == MODUL_3102) ||	(P0_Type == MODUL_3202) ||	
			(P0_Type == MODUL_3302) ||	(P0_Type == MODUL_3103) ||	(P0_Type == MODUL_3203) ||	
			(P0_Type == MODUL_3005) ||	(P0_Type == MODUL_3105) || 	(P0_Type == MODUL_3205) ||
			(P0_Type == MODUL_4002) ||	(P0_Type == MODUL_4102) ||	(P0_Type == MODUL_4202) ||	
			(P0_Type == MODUL_4302)	||	(P0_Type == MODUL_4005) || 	(P0_Type == MODUL_4105) ||  
			(P0_Type == MODUL_4205))			
        {
            SEPARATOR,
            OnlineWindow_PNO_Profile_DP_HART
        }
    }
}

METHOD std_LoadinDevice
{
    LABEL       [menu_Device_LoadinDevice];
    DEFINITION
    {
    }
}

METHOD std_LoadinPC
{
    LABEL       [menu_Device_LoadinPC];
    DEFINITION
    {
    }
}

MENU Menu_HCIR
{
    LABEL       [menu_HCIR];
    ITEMS
    {
        method_LoadinDevice_HCIR,
		method_Device_Exit_HCIR,
		method_Device_Aboard_HCIR
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: View                                                       */
/*---------------------------------------------------------------------*/

MENU Menu_View
{
    LABEL       [menu_View];
    ITEMS
    {
        OnlineWindow_display,
        SEPARATOR,
        std_Funktionsleiste,
        std_Statuszeile,
        SEPARATOR,
        std_Update
    }
}

METHOD std_Funktionsleiste
{
    LABEL       [menu_View_Toolbar];
    DEFINITION
    {
    }
}

METHOD std_Statuszeile
{
    LABEL       [menu_View_Statusbar];
    DEFINITION
    {
    }
}

METHOD std_Update
{
    LABEL       [menu_View_Update];
    DEFINITION
    {
    }
}

/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_ident_opunit,
        Tab_s_ident_device,
		Tab_s_ident_offset
	}
}

MENU Tab_s_ident_opunit
{
    LABEL       [menu_ident_opunit];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Tag
    }
}

MENU Tab_s_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Slot0,
        Loc_P0_Type_Klasse,
        P0_Type,
        P0_Option,
        P0_CfgMode,
        P0_Revision
    }
}

MENU Tab_s_certificates
{
    LABEL       [menu_certificates];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Station_Ex 
    }
}

/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_ident_opunit,
        Tab_m_ident_device,
		Tab_m_ident_offset
    }
}

MENU Tab_m_ident_opunit
{
    LABEL       [menu_ident_opunit];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Tag
    }
}

MENU Tab_m_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Slot0            (READ_ONLY),
        Loc_P0_Type_Klasse,
        P0_Type             (READ_ONLY),
        P0_Option           (READ_ONLY),
        P0_CfgMode		(READ_ONLY),
        P0_Revision
    }
}

MENU Tab_m_certificates
{
    LABEL       [menu_certificates];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Station_Ex 
    }
}



