/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Relaiskarte 8-Kanalig				*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.17  $                                    */
/*  $Date:   16 Mar 2000 13:41:36  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

RL8C_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

RL8C_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

RL8C_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	RL8C_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_SimVal_State
{
	LABEL		[P1_SimVal_State];
	HELP		[P1_SimVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[daten_ok]			},
		{	0x01,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_SimVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]	},
		{	0x0001,	[inv_invers]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_Option_Bit1_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL8C_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	RL8C_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

RL8C_P2_Slot2			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P2_Index2			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}
}

RL8C_P2_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P2_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P2_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P2_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P2_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P2_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P2_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P2_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P2_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P2_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P2_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P2_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P2_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P2_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P2_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

RL8C_P3_Slot3			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P3_Index3			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

RL8C_P3_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P3_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P3_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P3_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P3_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P3_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P3_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P3_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P3_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P3_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P3_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P3_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P3_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P3_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P3_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/

RL8C_P4_Slot4			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P4_Index4			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 4;
	}
}

RL8C_P4_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P4_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P4_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P4_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P4_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P4_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P4_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P4_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P4_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P4_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P4_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P4_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P4_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P4_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P4_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal5	****************************************************/
/*******************************************************************************/

RL8C_P5_Slot5			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P5_Index5			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 5;
	}
}

RL8C_P5_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P5_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P5_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P5_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P5_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P5_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P5_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P5_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P5_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P5_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P5_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P5_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P5_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P5_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P5_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal6	****************************************************/
/*******************************************************************************/

RL8C_P6_Slot6			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P6_Index6			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 6;
	}
}

RL8C_P6_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P6_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P6_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P6_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P6_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P6_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P6_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P6_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P6_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P6_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P6_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P6_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P6_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P6_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P6_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal7	****************************************************/
/*******************************************************************************/

RL8C_P7_Slot7			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P7_Index7			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 7;
	}
}

RL8C_P7_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P7_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P7_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P7_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P7_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P7_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P7_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P7_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P7_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P7_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P7_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P7_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P7_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P7_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P7_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal8	****************************************************/
/*******************************************************************************/

RL8C_P8_Slot8			LIKE VARIABLE	P0_Slot0
{
}

RL8C_P8_Index8			LIKE VARIABLE	RL8C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 8;
	}
}

RL8C_P8_Tag				LIKE VARIABLE	RL8C_P1_Tag
{
}

RL8C_P8_State			LIKE VARIABLE	RL8C_P1_State
{
}

RL8C_P8_ErrMode			LIKE VARIABLE	RL8C_P1_ErrMode
{
}

RL8C_P8_SimVal_Data		LIKE VARIABLE	RL8C_P1_SimVal_Data
{
}

RL8C_P8_SimVal_State	LIKE VARIABLE	RL8C_P1_SimVal_State
{
}

RL8C_P8_SimVal_Bit2_7	LIKE VARIABLE	RL8C_P1_SimVal_Bit2_7
{
}

RL8C_P8_ErrVal_Data		LIKE VARIABLE	RL8C_P1_ErrVal_Data
{
}

RL8C_P8_ErrVal_Bit1_7	LIKE VARIABLE	RL8C_P1_ErrVal_Bit1_7
{
}

RL8C_P8_Option_Invert	LIKE VARIABLE	RL8C_P1_Option_Invert
{
}

RL8C_P8_Option_Bit1_14	LIKE VARIABLE	RL8C_P1_Option_Bit1_14
{
}

RL8C_P8_Option_Kanal	LIKE VARIABLE	RL8C_P1_Option_Kanal
{
}

RL8C_P8_OnDelay			LIKE VARIABLE	RL8C_P1_OnDelay
{
}

RL8C_P8_OffDelay		LIKE VARIABLE	RL8C_P1_OffDelay
{
}

RL8C_P8_Map				LIKE VARIABLE	RL8C_P1_Map
{
}

RL8C_P8_DUMMY			LIKE VARIABLE	RL8C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_RL8C					\
			P0_Type,					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
/*			P0_Time,					\
*/			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			RL8C_P1_Slot1,				\
			RL8C_P1_Index1,				\
			RL8C_P1_Tag,				\
			RL8C_P1_State,				\
			RL8C_P1_ErrMode,			\
			RL8C_P1_SimVal_Data,		\
			RL8C_P1_SimVal_State,		\
			RL8C_P1_ErrVal_Data,		\
			RL8C_P1_Option_Invert,		\
			RL8C_P1_Option_Kanal,		\
			RL8C_P1_OnDelay,			\
			RL8C_P1_OffDelay,			\
/*			RL8C_P1_Map,				\
*/			RL8C_P2_Slot2,				\
			RL8C_P2_Index2,				\
			RL8C_P2_Tag,				\
			RL8C_P2_State,				\
			RL8C_P2_ErrMode,			\
			RL8C_P2_SimVal_Data,		\
			RL8C_P2_SimVal_State,		\
			RL8C_P2_ErrVal_Data,		\
			RL8C_P2_Option_Invert,		\
			RL8C_P2_Option_Kanal,		\
			RL8C_P2_OnDelay,			\
			RL8C_P2_OffDelay,			\
/*			RL8C_P2_Map,				\
*/			RL8C_P3_Slot3,				\
			RL8C_P3_Index3,				\
			RL8C_P3_Tag,				\
			RL8C_P3_State,				\
			RL8C_P3_ErrMode,			\
			RL8C_P3_SimVal_Data,		\
			RL8C_P3_SimVal_State,		\
			RL8C_P3_ErrVal_Data,		\
			RL8C_P3_Option_Invert,		\
			RL8C_P3_Option_Kanal,		\
			RL8C_P3_OnDelay,			\
			RL8C_P3_OffDelay,			\
/*			RL8C_P3_Map,				\
*/			RL8C_P4_Slot4,				\
			RL8C_P4_Index4,				\
			RL8C_P4_Tag,				\
			RL8C_P4_State,				\
			RL8C_P4_ErrMode,			\
			RL8C_P4_SimVal_Data,		\
			RL8C_P4_SimVal_State,		\
			RL8C_P4_ErrVal_Data,		\
			RL8C_P4_Option_Invert,		\
			RL8C_P4_Option_Kanal,		\
			RL8C_P4_OnDelay,			\
			RL8C_P4_OffDelay,			\
/*			RL8C_P4_Map,				\
*/			RL8C_P5_Slot5,				\
			RL8C_P5_Index5,				\
			RL8C_P5_Tag,				\
			RL8C_P5_State,				\
			RL8C_P5_ErrMode,			\
			RL8C_P5_SimVal_Data,		\
			RL8C_P5_SimVal_State,		\
			RL8C_P5_ErrVal_Data,		\
			RL8C_P5_Option_Invert,		\
			RL8C_P5_Option_Kanal,		\
			RL8C_P5_OnDelay,			\
			RL8C_P5_OffDelay,			\
/*			RL8C_P5_Map,				\
*/			RL8C_P6_Slot6,				\
			RL8C_P6_Index6,				\
			RL8C_P6_Tag,				\
			RL8C_P6_State,				\
			RL8C_P6_ErrMode,			\
			RL8C_P6_SimVal_Data,		\
			RL8C_P6_SimVal_State,		\
			RL8C_P6_ErrVal_Data,		\
			RL8C_P6_Option_Invert,		\
			RL8C_P6_Option_Kanal,		\
			RL8C_P6_OnDelay,			\
			RL8C_P6_OffDelay,			\
/*			RL8C_P6_Map,				\
*/			RL8C_P7_Slot7,				\
			RL8C_P7_Index7,				\
			RL8C_P7_Tag,				\
			RL8C_P7_State,				\
			RL8C_P7_ErrMode,			\
			RL8C_P7_SimVal_Data,		\
			RL8C_P7_SimVal_State,		\
			RL8C_P7_ErrVal_Data,		\
			RL8C_P7_Option_Invert,		\
			RL8C_P7_Option_Kanal,		\
			RL8C_P7_OnDelay,			\
			RL8C_P7_OffDelay,			\
/*			RL8C_P7_Map,				\
*/			RL8C_P8_Slot8,				\
			RL8C_P8_Index8,				\
			RL8C_P8_Tag,				\
			RL8C_P8_State,				\
			RL8C_P8_ErrMode,			\
			RL8C_P8_SimVal_Data,		\
			RL8C_P8_SimVal_State,		\
			RL8C_P8_ErrVal_Data,		\
			RL8C_P8_Option_Invert,		\
			RL8C_P8_Option_Kanal,		\
			RL8C_P8_OnDelay,			\
			RL8C_P8_OffDelay//,			\
/*			RL8C_P8_Map
*/

#define	UPLOAD_RL8C			DOWNLOAD_RL8C

COMMAND read_RL8C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P1_Slot1,
			RL8C_P1_Index1,
			RL8C_P1_Tag,
			RL8C_P1_State,
			RL8C_P1_ErrMode,
			RL8C_P1_SimVal_Bit2_7		<0xFC>,
			RL8C_P1_SimVal_State		<0x02>,
			RL8C_P1_SimVal_Data			<0x01>,
			RL8C_P1_ErrVal_Bit1_7		<0xFE>,
			RL8C_P1_ErrVal_Data			<0x01>,
			RL8C_P1_Option_Kanal		<0x8000>,
			RL8C_P1_Option_Bit1_14		<0x7FFE>,
			RL8C_P1_Option_Invert		<0x0001>,
			RL8C_P1_OnDelay,
			RL8C_P1_OffDelay,
			RL8C_P1_DUMMY,
			RL8C_P1_Map
		}
	}
}

COMMAND write_RL8C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P1_Slot1,
			RL8C_P1_Index1,
			RL8C_P1_Tag,
			RL8C_P1_State,
			RL8C_P1_ErrMode,
			RL8C_P1_SimVal_Bit2_7		<0xFC>,
			RL8C_P1_SimVal_State		<0x02>,
			RL8C_P1_SimVal_Data			<0x01>,
			RL8C_P1_ErrVal_Bit1_7		<0xFE>,
			RL8C_P1_ErrVal_Data			<0x01>,
			RL8C_P1_Option_Kanal		<0x8000>,
			RL8C_P1_Option_Bit1_14		<0x7FFE>,
			RL8C_P1_Option_Invert		<0x0001>,
			RL8C_P1_OnDelay,
			RL8C_P1_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P1_DUMMY,
			0, 0														// RL8C_P1_Map
//			RL8C_P1_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P2_Slot2,
			RL8C_P2_Index2,
			RL8C_P2_Tag,
			RL8C_P2_State,
			RL8C_P2_ErrMode,
			RL8C_P2_SimVal_Bit2_7		<0xFC>,
			RL8C_P2_SimVal_State		<0x02>,
			RL8C_P2_SimVal_Data			<0x01>,
			RL8C_P2_ErrVal_Bit1_7		<0xFE>,
			RL8C_P2_ErrVal_Data			<0x01>,
			RL8C_P2_Option_Kanal		<0x8000>,
			RL8C_P2_Option_Bit1_14		<0x7FFE>,
			RL8C_P2_Option_Invert		<0x0001>,
			RL8C_P2_OnDelay,
			RL8C_P2_OffDelay,
			RL8C_P2_DUMMY,
			RL8C_P2_Map
		}
	}
}

COMMAND write_RL8C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P2_Slot2,
			RL8C_P2_Index2,
			RL8C_P2_Tag,
			RL8C_P2_State,
			RL8C_P2_ErrMode,
			RL8C_P2_SimVal_Bit2_7		<0xFC>,
			RL8C_P2_SimVal_State		<0x02>,
			RL8C_P2_SimVal_Data			<0x01>,
			RL8C_P2_ErrVal_Bit1_7		<0xFE>,
			RL8C_P2_ErrVal_Data			<0x01>,
			RL8C_P2_Option_Kanal		<0x8000>,
			RL8C_P2_Option_Bit1_14		<0x7FFE>,
			RL8C_P2_Option_Invert		<0x0001>,
			RL8C_P2_OnDelay,
			RL8C_P2_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P2_DUMMY,
			0, 0														// RL8C_P2_Map
//			RL8C_P2_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P3_Slot3,
			RL8C_P3_Index3,
			RL8C_P3_Tag,
			RL8C_P3_State,
			RL8C_P3_ErrMode,
			RL8C_P3_SimVal_Bit2_7		<0xFC>,
			RL8C_P3_SimVal_State		<0x02>,
			RL8C_P3_SimVal_Data			<0x01>,
			RL8C_P3_ErrVal_Bit1_7		<0xFE>,
			RL8C_P3_ErrVal_Data			<0x01>,
			RL8C_P3_Option_Kanal		<0x8000>,
			RL8C_P3_Option_Bit1_14		<0x7FFE>,
			RL8C_P3_Option_Invert		<0x0001>,
			RL8C_P3_OnDelay,
			RL8C_P3_OffDelay,
			RL8C_P3_DUMMY,
			RL8C_P3_Map
		}
	}
}

COMMAND write_RL8C_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P3_Slot3,
			RL8C_P3_Index3,
			RL8C_P3_Tag,
			RL8C_P3_State,
			RL8C_P3_ErrMode,
			RL8C_P3_SimVal_Bit2_7		<0xFC>,
			RL8C_P3_SimVal_State		<0x02>,
			RL8C_P3_SimVal_Data			<0x01>,
			RL8C_P3_ErrVal_Bit1_7		<0xFE>,
			RL8C_P3_ErrVal_Data			<0x01>,
			RL8C_P3_Option_Kanal		<0x8000>,
			RL8C_P3_Option_Bit1_14		<0x7FFE>,
			RL8C_P3_Option_Invert		<0x0001>,
			RL8C_P3_OnDelay,
			RL8C_P3_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P3_DUMMY,
			0, 0														// RL8C_P3_Map
//			RL8C_P3_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P4_Slot4,
			RL8C_P4_Index4,
			RL8C_P4_Tag,
			RL8C_P4_State,
			RL8C_P4_ErrMode,
			RL8C_P4_SimVal_Bit2_7		<0xFC>,
			RL8C_P4_SimVal_State		<0x02>,
			RL8C_P4_SimVal_Data			<0x01>,
			RL8C_P4_ErrVal_Bit1_7		<0xFE>,
			RL8C_P4_ErrVal_Data			<0x01>,
			RL8C_P4_Option_Kanal		<0x8000>,
			RL8C_P4_Option_Bit1_14		<0x7FFE>,
			RL8C_P4_Option_Invert		<0x0001>,
			RL8C_P4_OnDelay,
			RL8C_P4_OffDelay,
			RL8C_P4_DUMMY,
			RL8C_P4_Map
		}
	}
}

COMMAND write_RL8C_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P4_Slot4,
			RL8C_P4_Index4,
			RL8C_P4_Tag,
			RL8C_P4_State,
			RL8C_P4_ErrMode,
			RL8C_P4_SimVal_Bit2_7		<0xFC>,
			RL8C_P4_SimVal_State		<0x02>,
			RL8C_P4_SimVal_Data			<0x01>,
			RL8C_P4_ErrVal_Bit1_7		<0xFE>,
			RL8C_P4_ErrVal_Data			<0x01>,
			RL8C_P4_Option_Kanal		<0x8000>,
			RL8C_P4_Option_Bit1_14		<0x7FFE>,
			RL8C_P4_Option_Invert		<0x0001>,
			RL8C_P4_OnDelay,
			RL8C_P4_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P4_DUMMY,
//			0, 0														// RL8C_P4_Map
			RL8C_P4_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P5_Slot5,
			RL8C_P5_Index5,
			RL8C_P5_Tag,
			RL8C_P5_State,
			RL8C_P5_ErrMode,
			RL8C_P5_SimVal_Bit2_7		<0xFC>,
			RL8C_P5_SimVal_State		<0x02>,
			RL8C_P5_SimVal_Data			<0x01>,
			RL8C_P5_ErrVal_Bit1_7		<0xFE>,
			RL8C_P5_ErrVal_Data			<0x01>,
			RL8C_P5_Option_Kanal		<0x8000>,
			RL8C_P5_Option_Bit1_14		<0x7FFE>,
			RL8C_P5_Option_Invert		<0x0001>,
			RL8C_P5_OnDelay,
			RL8C_P5_OffDelay,
			RL8C_P5_DUMMY,
			RL8C_P5_Map
		}
	}
}

COMMAND write_RL8C_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P5_Slot5,
			RL8C_P5_Index5,
			RL8C_P5_Tag,
			RL8C_P5_State,
			RL8C_P5_ErrMode,
			RL8C_P5_SimVal_Bit2_7		<0xFC>,
			RL8C_P5_SimVal_State		<0x02>,
			RL8C_P5_SimVal_Data			<0x01>,
			RL8C_P5_ErrVal_Bit1_7		<0xFE>,
			RL8C_P5_ErrVal_Data			<0x01>,
			RL8C_P5_Option_Kanal		<0x8000>,
			RL8C_P5_Option_Bit1_14		<0x7FFE>,
			RL8C_P5_Option_Invert		<0x0001>,
			RL8C_P5_OnDelay,
			RL8C_P5_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P5_DUMMY,
			0, 0														// RL8C_P5_Map
//			RL8C_P5_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P6_Slot6,
			RL8C_P6_Index6,
			RL8C_P6_Tag,
			RL8C_P6_State,
			RL8C_P6_ErrMode,
			RL8C_P6_SimVal_Bit2_7		<0xFC>,
			RL8C_P6_SimVal_State		<0x02>,
			RL8C_P6_SimVal_Data			<0x01>,
			RL8C_P6_ErrVal_Bit1_7		<0xFE>,
			RL8C_P6_ErrVal_Data			<0x01>,
			RL8C_P6_Option_Kanal		<0x8000>,
			RL8C_P6_Option_Bit1_14		<0x7FFE>,
			RL8C_P6_Option_Invert		<0x0001>,
			RL8C_P6_OnDelay,
			RL8C_P6_OffDelay,
			RL8C_P6_DUMMY,
			RL8C_P6_Map
		}
	}
}

COMMAND write_RL8C_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P6_Slot6,
			RL8C_P6_Index6,
			RL8C_P6_Tag,
			RL8C_P6_State,
			RL8C_P6_ErrMode,
			RL8C_P6_SimVal_Bit2_7		<0xFC>,
			RL8C_P6_SimVal_State		<0x02>,
			RL8C_P6_SimVal_Data			<0x01>,
			RL8C_P6_ErrVal_Bit1_7		<0xFE>,
			RL8C_P6_ErrVal_Data			<0x01>,
			RL8C_P6_Option_Kanal		<0x8000>,
			RL8C_P6_Option_Bit1_14		<0x7FFE>,
			RL8C_P6_Option_Invert		<0x0001>,
			RL8C_P6_OnDelay,
			RL8C_P6_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P6_DUMMY,
			0, 0														// RL8C_P6_Map
//			RL8C_P6_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P7_Slot7,
			RL8C_P7_Index7,
			RL8C_P7_Tag,
			RL8C_P7_State,
			RL8C_P7_ErrMode,
			RL8C_P7_SimVal_Bit2_7		<0xFC>,
			RL8C_P7_SimVal_State		<0x02>,
			RL8C_P7_SimVal_Data			<0x01>,
			RL8C_P7_ErrVal_Bit1_7		<0xFE>,
			RL8C_P7_ErrVal_Data			<0x01>,
			RL8C_P7_Option_Kanal		<0x8000>,
			RL8C_P7_Option_Bit1_14		<0x7FFE>,
			RL8C_P7_Option_Invert		<0x0001>,
			RL8C_P7_OnDelay,
			RL8C_P7_OffDelay,
			RL8C_P7_DUMMY,
			RL8C_P7_Map
		}
	}
}

COMMAND write_RL8C_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P7_Slot7,
			RL8C_P7_Index7,
			RL8C_P7_Tag,
			RL8C_P7_State,
			RL8C_P7_ErrMode,
			RL8C_P7_SimVal_Bit2_7		<0xFC>,
			RL8C_P7_SimVal_State		<0x02>,
			RL8C_P7_SimVal_Data			<0x01>,
			RL8C_P7_ErrVal_Bit1_7		<0xFE>,
			RL8C_P7_ErrVal_Data			<0x01>,
			RL8C_P7_Option_Kanal		<0x8000>,
			RL8C_P7_Option_Bit1_14		<0x7FFE>,
			RL8C_P7_Option_Invert		<0x0001>,
			RL8C_P7_OnDelay,
			RL8C_P7_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P7_DUMMY,
			0, 0														// RL8C_P7_Map
//			RL8C_P7_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL8C_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL8C_P8_Slot8,
			RL8C_P8_Index8,
			RL8C_P8_Tag,
			RL8C_P8_State,
			RL8C_P8_ErrMode,
			RL8C_P8_SimVal_Bit2_7		<0xFC>,
			RL8C_P8_SimVal_State		<0x02>,
			RL8C_P8_SimVal_Data			<0x01>,
			RL8C_P8_ErrVal_Bit1_7		<0xFE>,
			RL8C_P8_ErrVal_Data			<0x01>,
			RL8C_P8_Option_Kanal		<0x8000>,
			RL8C_P8_Option_Bit1_14		<0x7FFE>,
			RL8C_P8_Option_Invert		<0x0001>,
			RL8C_P8_OnDelay,
			RL8C_P8_OffDelay,
			RL8C_P8_DUMMY,
			RL8C_P8_Map
		}
	}
}

COMMAND write_RL8C_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL8C_P8_Slot8,
			RL8C_P8_Index8,
			RL8C_P8_Tag,
			RL8C_P8_State,
			RL8C_P8_ErrMode,
			RL8C_P8_SimVal_Bit2_7		<0xFC>,
			RL8C_P8_SimVal_State		<0x02>,
			RL8C_P8_SimVal_Data			<0x01>,
			RL8C_P8_ErrVal_Bit1_7		<0xFE>,
			RL8C_P8_ErrVal_Data			<0x01>,
			RL8C_P8_Option_Kanal		<0x8000>,
			RL8C_P8_Option_Bit1_14		<0x7FFE>,
			RL8C_P8_Option_Invert		<0x0001>,
			RL8C_P8_OnDelay,
			RL8C_P8_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   0, 0,	// RL8C_P8_DUMMY,
			0, 0														// RL8C_P8_Map
//			RL8C_P8_Map
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k1,
		Tab_s_RL8C_output_k1
	}
}

MENU Tab_s_RL8C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_Tag,
		RL8C_P1_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_State,
		RL8C_P1_ErrMode,
		RL8C_P1_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k1,
		Tab_s_RL8C_output_simulation_k1,
		Tab_s_RL8C_output_ersatzwert_k1
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_OnDelay,
		RL8C_P1_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_SimVal_Data,
		RL8C_P1_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P1_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k2,
		Tab_s_RL8C_output_k2
	}
}

MENU Tab_s_RL8C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_Tag,
		RL8C_P2_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k2
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P2_State,
		RL8C_P2_ErrMode,
		RL8C_P2_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k2,
		Tab_s_RL8C_output_simulation_k2,
		Tab_s_RL8C_output_ersatzwert_k2
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_OnDelay,
		RL8C_P2_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_SimVal_Data,
		RL8C_P2_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P2_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k3,
		Tab_s_RL8C_output_k3
	}
}

MENU Tab_s_RL8C_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_Tag,
		RL8C_P3_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k3
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P3_State,
		RL8C_P3_ErrMode,
		RL8C_P3_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k3,
		Tab_s_RL8C_output_simulation_k3,
		Tab_s_RL8C_output_ersatzwert_k3
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_OnDelay,
		RL8C_P3_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_SimVal_Data,
		RL8C_P3_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P3_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k4,
		Tab_s_RL8C_output_k4
	}
}

MENU Tab_s_RL8C_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_Tag,
		RL8C_P4_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k4
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P4_State,
		RL8C_P4_ErrMode,
		RL8C_P4_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k4,
		Tab_s_RL8C_output_simulation_k4,
		Tab_s_RL8C_output_ersatzwert_k4
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_OnDelay,
		RL8C_P4_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_SimVal_Data,
		RL8C_P4_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P4_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal5	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k5,
		Tab_s_RL8C_output_k5
	}
}

MENU Tab_s_RL8C_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_Tag,
		RL8C_P5_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k5
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P5_State,
		RL8C_P5_ErrMode,
		RL8C_P5_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k5,
		Tab_s_RL8C_output_simulation_k5,
		Tab_s_RL8C_output_ersatzwert_k5
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k5
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_OnDelay,
		RL8C_P5_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_SimVal_Data,
		RL8C_P5_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P5_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal6	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k6,
		Tab_s_RL8C_output_k6
	}
}

MENU Tab_s_RL8C_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_Tag,
		RL8C_P6_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k6
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P6_State,
		RL8C_P6_ErrMode,
		RL8C_P6_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k6,
		Tab_s_RL8C_output_simulation_k6,
		Tab_s_RL8C_output_ersatzwert_k6
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k6
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_OnDelay,
		RL8C_P6_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_SimVal_Data,
		RL8C_P6_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P6_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal7	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k7,
		Tab_s_RL8C_output_k7
	}
}

MENU Tab_s_RL8C_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_Tag,
		RL8C_P7_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k7
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P7_State,
		RL8C_P7_ErrMode,
		RL8C_P7_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k7,
		Tab_s_RL8C_output_simulation_k7,
		Tab_s_RL8C_output_ersatzwert_k7
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k7
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_OnDelay,
		RL8C_P7_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_SimVal_Data,
		RL8C_P7_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P7_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal8	****************************************************/
/*******************************************************************************/

MENU Tab_s_RL8C_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL8C_ident_k8,
		Tab_s_RL8C_output_k8
	}
}

MENU Tab_s_RL8C_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_Tag,
		RL8C_P8_Option_Kanal
	}
}

MENU Tab_s_RL8C_output_k8
{
	LABEL		[menu_output];
	ITEMS
	{
		RL8C_P8_State,
		RL8C_P8_ErrMode,
		RL8C_P8_Option_Invert,
		Tab_s_RL8C_output_verzoegerung_k8,
		Tab_s_RL8C_output_simulation_k8,
		Tab_s_RL8C_output_ersatzwert_k8
	}
}

MENU Tab_s_RL8C_output_verzoegerung_k8
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_OnDelay,
		RL8C_P8_OffDelay
	}
}

MENU Tab_s_RL8C_output_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_SimVal_Data,
		RL8C_P8_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P8_State == 1)
}

MENU Tab_s_RL8C_output_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P8_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k1,
		Tab_m_RL8C_output_k1
	}
}

MENU Tab_m_RL8C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_Tag,
		RL8C_P1_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_State						(READ_ONLY),
		RL8C_P1_ErrMode						(READ_ONLY),
		RL8C_P1_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k1,
		Tab_m_RL8C_output_simulation_k1,
		Tab_m_RL8C_output_ersatzwert_k1
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_OnDelay						(READ_ONLY),
		RL8C_P1_OffDelay					(READ_ONLY)

	}
}

MENU Tab_m_RL8C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_SimVal_Data					(READ_ONLY),
		RL8C_P1_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P1_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P1_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k2,
		Tab_m_RL8C_output_k2
	}
}

MENU Tab_m_RL8C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_Tag,
		RL8C_P2_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k2
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_State						(READ_ONLY),
		RL8C_P2_ErrMode						(READ_ONLY),
		RL8C_P2_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k2,
		Tab_m_RL8C_output_simulation_k2,
		Tab_m_RL8C_output_ersatzwert_k2
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_OnDelay						(READ_ONLY),
		RL8C_P2_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_SimVal_Data					(READ_ONLY),
		RL8C_P2_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P2_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P2_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k3,
		Tab_m_RL8C_output_k3
	}
}

MENU Tab_m_RL8C_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_Tag,
		RL8C_P3_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k3
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_State						(READ_ONLY),
		RL8C_P3_ErrMode						(READ_ONLY),
		RL8C_P3_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k3,
		Tab_m_RL8C_output_simulation_k3,
		Tab_m_RL8C_output_ersatzwert_k3
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_OnDelay						(READ_ONLY),
		RL8C_P3_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_SimVal_Data					(READ_ONLY),
		RL8C_P3_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P3_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P3_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k4,
		Tab_m_RL8C_output_k4
	}
}

MENU Tab_m_RL8C_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_Tag,
		RL8C_P4_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k4
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_State						(READ_ONLY),
		RL8C_P4_ErrMode						(READ_ONLY),
		RL8C_P4_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k4,
		Tab_m_RL8C_output_simulation_k4,
		Tab_m_RL8C_output_ersatzwert_k4
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_OnDelay						(READ_ONLY),
		RL8C_P4_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_SimVal_Data					(READ_ONLY),
		RL8C_P4_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P4_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P4_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal5	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k5,
		Tab_m_RL8C_output_k5
	}
}

MENU Tab_m_RL8C_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_Tag,
		RL8C_P5_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k5
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_State						(READ_ONLY),
		RL8C_P5_ErrMode						(READ_ONLY),
		RL8C_P5_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k5,
		Tab_m_RL8C_output_simulation_k5,
		Tab_m_RL8C_output_ersatzwert_k5
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k5
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_OnDelay						(READ_ONLY),
		RL8C_P5_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_SimVal_Data					(READ_ONLY),
		RL8C_P5_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P5_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P5_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal6	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k6,
		Tab_m_RL8C_output_k6
	}
}

MENU Tab_m_RL8C_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_Tag,
		RL8C_P6_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k6
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_State						(READ_ONLY),
		RL8C_P6_ErrMode						(READ_ONLY),
		RL8C_P6_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k6,
		Tab_m_RL8C_output_simulation_k6,
		Tab_m_RL8C_output_ersatzwert_k6
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k6
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_OnDelay						(READ_ONLY),
		RL8C_P6_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_SimVal_Data					(READ_ONLY),
		RL8C_P6_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P6_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P6_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal7	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k7,
		Tab_m_RL8C_output_k7
	}
}

MENU Tab_m_RL8C_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_Tag,
		RL8C_P7_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k7
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_State						(READ_ONLY),
		RL8C_P7_ErrMode						(READ_ONLY),
		RL8C_P7_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k7,
		Tab_m_RL8C_output_simulation_k7,
		Tab_m_RL8C_output_ersatzwert_k7
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k7
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_OnDelay						(READ_ONLY),
		RL8C_P7_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_SimVal_Data					(READ_ONLY),
		RL8C_P7_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P7_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P7_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	Variables Kanal8	****************************************************/
/*******************************************************************************/

MENU Tab_m_RL8C_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL8C_ident_k8,
		Tab_m_RL8C_output_k8
	}
}

MENU Tab_m_RL8C_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_Tag,
		RL8C_P8_Option_Kanal
	}
}

MENU Tab_m_RL8C_output_k8
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_State						(READ_ONLY),
		RL8C_P8_ErrMode						(READ_ONLY),
		RL8C_P8_Option_Invert				(READ_ONLY),
		Tab_m_RL8C_output_verzoegerung_k8,
		Tab_m_RL8C_output_simulation_k8,
		Tab_m_RL8C_output_ersatzwert_k8
	}
}

MENU Tab_m_RL8C_output_verzoegerung_k8
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_OnDelay						(READ_ONLY),
		RL8C_P8_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL8C_output_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_SimVal_Data					(READ_ONLY),
		RL8C_P8_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P8_State == 1)
}

MENU Tab_m_RL8C_output_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL8C_P8_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL8C_P8_ErrMode == 1)
}

