/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Spannungseingang 0-10Volt			*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.15  $                                    */
/*  $Date:   26 Feb 2000 17:22:16  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Variables Kanal1 Index2	************************************************/
/*******************************************************************************/

VOIN_P1_Slot2		LIKE VARIABLE	P0_Slot0
{
}

VOIN_P1_Index2		LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	VOIN_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[volt0_10]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}


VARIABLE	VOIN_P1_Option_Stoerunterdrueckung
{
	LABEL		[P1_Option_Stoerunterdrueckung];
	HELP		[P1_Option_Stoerunterdrueckung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[hz50]		},
		{	0x0001,	[hz60]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_Option_Bit0_2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_Option_Bit4_15
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Skalierung *****************/

VARIABLE	VOIN_P1_ScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 10000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(VOIN_P1_ScalMb, VOIN_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_ScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(VOIN_P1_ScalMb, VOIN_P1_ScalMe)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_ScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_LimLow
{
	LABEL		[P1_LimLow];
	HELP		[P1_LimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(VOIN_P1_LimLow, VOIN_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_LimHigh
{
	LABEL		[P1_LimHigh];
	HELP		[P1_LimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}	
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(VOIN_P1_LimLow, VOIN_P1_LimHigh)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_Filter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}	
	CONSTANT_UNIT	[Percent_Second];
	CLASS			CONTAINED;
	HANDLING		READ & WRITE;
}

//********** Erweitert *****************/

VARIABLE	VOIN_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb1_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VOIN_P1_Mb
{
	LABEL		[P1_Mb];
	HELP		[P1_Mb1_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.000;
		MAX_VALUE 10.000;
		DEFAULT_VALUE 0.000;
		DISPLAY_FORMAT ".3f";
	}	
	CONSTANT_UNIT	[V];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale1000_int_float	(VOIN_P1_Mb, Loc_VOIN_P1_Mb)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale1000_int_float (VOIN_P1_Mb, Loc_VOIN_P1_Mb)
		method_check_MbMe_float(Loc_VOIN_P1_Mb, Loc_VOIN_P1_Me)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	VOIN_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me1_help];
	TYPE		INTEGER (4)
	{
		DEFAULT_VALUE 10000;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_VOIN_P1_Me
{
	LABEL		[P1_Me];
	HELP		[P1_Me1_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.000;
		MAX_VALUE 10.000;
		DEFAULT_VALUE 10.000;
		DISPLAY_FORMAT ".3f";
	}	
	CONSTANT_UNIT	[V];
	CLASS			LOCAL;
	PRE_EDIT_ACTIONS
	{
		method_scale1000_int_float	(VOIN_P1_Me, Loc_VOIN_P1_Me)
	}
	POST_EDIT_ACTIONS
	{
		method_rescale1000_int_float (VOIN_P1_Me, Loc_VOIN_P1_Me)
		method_check_MbMe_float(Loc_VOIN_P1_Mb, Loc_VOIN_P1_Me)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	VOIN_P1_Pt1
{
	LABEL		[P1_FrqPt1];
	HELP		[P1_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_Val
{
	LABEL		[P1_Val];
	HELP		[P1_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_Tim
{
	LABEL		[P1_Tim];
	HELP		[P1_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	VOIN_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (34);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define	DOWNLOAD_VOIN					\
			P0_Type,					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
/*			P0_Time,					\
*/			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			Mod4y5y_P1_Slot1,			\
			Mod4y5y_P1_Index1,			\
			Mod4y5y_P1_Tag,				\
			Mod4y5y_P1_State,			\
			Mod4y5y_P1_ErrMode,			\
			Mod4y5y_P1_SimVal,			\
			Mod4y5y_P1_SimState_Data,	\
			Mod4y5y_P1_SimOption,		\
			Mod4y5y_P1_ErrVal,			\
			Mod4y5y_P1_ErrState_Data,	\
			Mod4y5y_P1_ErrOption,		\
			VOIN_P1_Slot2,				\
			VOIN_P1_Index2,				\
			VOIN_P1_Mode,				\
			VOIN_P1_Option_Stoerunterdrueckung,	\
			VOIN_P1_ScalMb,				\
			VOIN_P1_ScalMe,				\
			VOIN_P1_ScalOption,			\
			VOIN_P1_LimLow,				\
			VOIN_P1_LimHigh, 			\
			VOIN_P1_Filter,				\
			VOIN_P1_Mb,					\
			VOIN_P1_Me,					\
			VOIN_P1_Pt1,				\
			VOIN_P1_Val,				\
			VOIN_P1_Tim


#define	UPLOAD_VOIN			DOWNLOAD_VOIN


COMMAND read_VOIN_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			VOIN_P1_Slot2,
			VOIN_P1_Index2,
			VOIN_P1_Mode,
			VOIN_P1_Option_Bit4_15				<0xFFF0>,
			VOIN_P1_Option_Stoerunterdrueckung	<0x0008>,
			VOIN_P1_Option_Bit0_2				<0x0007>,
			VOIN_P1_ScalMb,
			VOIN_P1_ScalMe,
			Bit1_15								<0xFFFE>,
			VOIN_P1_ScalOption					<0x0001>,
			VOIN_P1_LimLow,
			VOIN_P1_LimHigh,
			VOIN_P1_Filter,
			VOIN_P1_Mb,
			VOIN_P1_Me,
			VOIN_P1_Pt1,
			VOIN_P1_Val,
			VOIN_P1_Tim,
			VOIN_P1_DUMMY2
		}
	}
}

COMMAND write_VOIN_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			VOIN_P1_Slot2,
			VOIN_P1_Index2,
			VOIN_P1_Mode,
			VOIN_P1_Option_Bit4_15				<0xFFF0>,
			VOIN_P1_Option_Stoerunterdrueckung	<0x0008>,
			VOIN_P1_Option_Bit0_2				<0x0007>,
			VOIN_P1_ScalMb,
			VOIN_P1_ScalMe,
			Bit1_15								<0xFFFE>,
			VOIN_P1_ScalOption					<0x0001>,
			VOIN_P1_LimLow,
			VOIN_P1_LimHigh,
			VOIN_P1_Filter,
			VOIN_P1_Mb,
			VOIN_P1_Me,
			VOIN_P1_Pt1,
			VOIN_P1_Val,
			VOIN_P1_Tim,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // VOIN_P1_DUMMY2
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,	 // VOIN_P1_DUMMY2
			0, 0												 // VOIN_P1_DUMMY2
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_VOIN_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_VOIN_ident_k1,
		Tab_s_VOIN_input_k1
	}
}

MENU Tab_s_VOIN_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag
	}
}

MENU Tab_s_VOIN_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State,
		Mod4y5y_P1_ErrMode,
//		VOIN_P1_Filter						(READ_ONLY),
//		VOIN_P1_LimLow						(READ_ONLY),
//		VOIN_P1_LimHigh						(READ_ONLY),
		VOIN_P1_Filter,
		VOIN_P1_LimLow,
		VOIN_P1_LimHigh,
		Tab_s_VOIN_input_simulation,
		Tab_s_VOIN_input_ersatzwert,
		Tab_s_VOIN_input_skal,
		Tab_s_VOIN_input_lfd,
		Tab_s_VOIN_input_messumformer
	}
}

MENU Tab_s_VOIN_input_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_SimVal,
		Mod4y5y_P1_SimOption,
		Mod4y5y_P1_SimState_Data
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_s_VOIN_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal,
		Mod4y5y_P1_ErrOption,
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}

MENU Tab_s_VOIN_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_ScalOption,
//fbi 29.09.2006		VOIN_P1_ScalOption					(READ_ONLY),
		VOIN_P1_ScalMb,
		VOIN_P1_ScalMe,
	}
}

MENU Tab_s_VOIN_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_Pt1,
		VOIN_P1_Val,
		VOIN_P1_Tim
	}
}

MENU Tab_s_VOIN_input_messumformer
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_Mode						(READ_ONLY),
		VOIN_P1_Option_Stoerunterdrueckung,
		Loc_VOIN_P1_Mb,
		Loc_VOIN_P1_Me
	}
}


/*******************************************************************************/
/*****	Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_VOIN_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_VOIN_ident_k1,
		Tab_m_VOIN_input_k1
	}
}

MENU Tab_m_VOIN_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_Tag
	}
}

MENU Tab_m_VOIN_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		Mod4y5y_P1_State					(READ_ONLY),
		Mod4y5y_P1_ErrMode					(READ_ONLY),
		VOIN_P1_Filter						(READ_ONLY),
		VOIN_P1_LimLow						(READ_ONLY),
		VOIN_P1_LimHigh						(READ_ONLY),
		Tab_m_VOIN_input_simulation,		
		Tab_m_VOIN_input_ersatzwert,		
		Tab_m_VOIN_input_skal,				
		Tab_m_VOIN_input_lfd,				
		Tab_m_VOIN_input_messumformer		
	}										
}											
											
MENU Tab_m_VOIN_input_simulation			
{											
	LABEL		[simulation];				
	ACCESS		OFFLINE;
	ITEMS									
	{										
		Loc_Mod4y5y_P1_SimVal				(READ_ONLY),
		Mod4y5y_P1_SimOption				(READ_ONLY),
		Mod4y5y_P1_SimState_Data			(READ_ONLY)
	}										
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_State == 1)
}

MENU Tab_m_VOIN_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		Loc_Mod4y5y_P1_ErrVal				(READ_ONLY),
		Mod4y5y_P1_ErrOption				(READ_ONLY),
		Mod4y5y_P1_ErrState_Data			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (Mod4y5y_P1_ErrMode == 1)
}   

MENU Tab_m_VOIN_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_ScalOption					(READ_ONLY),
		VOIN_P1_ScalMb						(READ_ONLY),
		VOIN_P1_ScalMe						(READ_ONLY)
	}
}

MENU Tab_m_VOIN_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_Pt1							(READ_ONLY),
		VOIN_P1_Val							(READ_ONLY),
		VOIN_P1_Tim							(READ_ONLY)
	}									
}

MENU Tab_m_VOIN_input_messumformer
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		VOIN_P1_Mode						(READ_ONLY),
		VOIN_P1_Option_Stoerunterdrueckung	(READ_ONLY),
		Loc_VOIN_P1_Mb						(READ_ONLY),
		Loc_VOIN_P1_Me						(READ_ONLY)
	}
}